;              
CREATE USER IF NOT EXISTS SA SALT '2c3ebf81d56537f4' HASH '89ef06e34061fc35b0c638ee50b06cd9935854f38770c5b1b56d6f69079900d0' ADMIN;            
CREATE CACHED TABLE PUBLIC.ATTRIBUTE(
    ID BIGINT NOT NULL,
    KEY VARCHAR(256),
    VALUE VARCHAR(2048),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768)
); 
ALTER TABLE PUBLIC.ATTRIBUTE ADD CONSTRAINT PUBLIC.CONSTRAINT_A PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ATTRIBUTE;
CREATE CACHED TABLE PUBLIC.CHAPTER(
    ID BIGINT NOT NULL,
    PART_ID BIGINT,
    CHAPTERNO INTEGER,
    TITLE VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    CREATION_TS TIMESTAMP,
    OBJECTIVE_TS TIMESTAMP,
    DONE_TS TIMESTAMP,
    OBJECTIVE_CH INTEGER,
    ASSISTANT VARCHAR(32768),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256)
);       
ALTER TABLE PUBLIC.CHAPTER ADD CONSTRAINT PUBLIC.CONSTRAINT_5 PRIMARY KEY(ID); 
-- 18 +/- SELECT COUNT(*) FROM PUBLIC.CHAPTER; 
INSERT INTO PUBLIC.CHAPTER(ID, PART_ID, CHAPTERNO, TITLE, DESCRIPTION, NOTES, CREATION_TS, OBJECTIVE_TS, DONE_TS, OBJECTIVE_CH, ASSISTANT, CREATION, MAJ, NAME) VALUES
(3, 1, 3, STRINGDECODE('Cr\u00e9er un nouveau fichier'), '', '', TIMESTAMP '2016-10-13 10:16:38.747', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('Cr\u00e9er un nouveau fichier')),
(4, 1, 4, STRINGDECODE('D\u00e9tails sur l''interface utilisateur'), '', '', TIMESTAMP '2016-10-13 11:57:18.947', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('D\u00e9tails sur l''interface utilisateur')),
(5, 1, 5, STRINGDECODE('Pr\u00e9f\u00e9rences'), '', '', TIMESTAMP '2016-10-13 20:57:40.837', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('Pr\u00e9f\u00e9rences')),
(6, 1, 6, STRINGDECODE('Propri\u00e9t\u00e9s'), '', '', TIMESTAMP '2016-10-14 09:27:47.176', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('Propri\u00e9t\u00e9s')),
(7, 1, 7, STRINGDECODE('L''\u00e9diteur'), '', '', TIMESTAMP '2016-10-15 02:08:41.054', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('L''\u00e9diteur')),
(8, 1, 8, STRINGDECODE('Ins\u00e9rer un caract\u00e8re sp\u00e9cial'), '', '', TIMESTAMP '2016-10-15 02:22:09.886', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('Ins\u00e9rer un caract\u00e8re sp\u00e9cial')),
(9, 1, 9, 'Utilisation conjointe avec LibreOffice', '', '', TIMESTAMP '2016-10-15 02:24:39.15', NULL, NULL, 0, '', NULL, NULL, 'Utilisation conjointe avec LibreOffice'),
(10, 1, 10, STRINGDECODE('G\u00e9rer ses id\u00e9es'), '', '', TIMESTAMP '2016-10-16 15:55:46.395', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('G\u00e9rer ses id\u00e9es')),
(11, 1, 11, 'Export', '', '', TIMESTAMP '2016-10-16 15:56:16.14', NULL, NULL, 0, '', NULL, NULL, 'Export'),
(12, 1, 12, STRINGDECODE('D\u00e9tail des composantes'), '', '', TIMESTAMP '2016-10-16 15:56:50.075', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('D\u00e9tail des composantes')),
(13, 1, 13, STRINGDECODE('D\u00e9tail des tableaux'), '', '', TIMESTAMP '2016-10-16 15:57:14.781', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('D\u00e9tail des tableaux')),
(15, 1, 16, STRINGDECODE('Donner du style \u00e0 votre document final'), '', '', TIMESTAMP '2016-10-16 15:58:25.143', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('Donner du style \u00e0 votre document final')),
(16, 1, 18, 'Trucs et astuces', '', '', TIMESTAMP '2016-10-16 15:58:46.699', NULL, NULL, 0, '', NULL, NULL, 'Trucs et astuces'),
(17, 1, 14, STRINGDECODE('D\u00e9tail des vues'), '', '', TIMESTAMP '2016-10-16 16:01:03.531', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('D\u00e9tail des vues')),
(18, 1, 15, STRINGDECODE('D\u00e9tail des rapports'), '', '', TIMESTAMP '2016-10-16 16:01:41.932', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('D\u00e9tail des rapports')),
(19, 1, 17, 'Outils divers', '', '', TIMESTAMP '2016-12-07 10:51:09.086', NULL, NULL, 0, '', NULL, NULL, 'Outils divers'),
(20, 1, 1, STRINGDECODE('Pr\u00e9sentation g\u00e9n\u00e9rale'), '', '', TIMESTAMP '2017-01-30 10:48:20.673', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('Pr\u00e9sentation g\u00e9n\u00e9rale')),
(21, 1, 2, STRINGDECODE('Premier d\u00e9marrage'), '', '', TIMESTAMP '2017-01-30 10:52:08.75', NULL, NULL, 0, '', NULL, NULL, STRINGDECODE('Premier d\u00e9marrage'));    
CREATE CACHED TABLE PUBLIC.PERSON(
    ID BIGINT NOT NULL,
    GENDER_ID BIGINT,
    FIRSTNAME VARCHAR(256),
    LASTNAME VARCHAR(256),
    ABBREVIATION VARCHAR(256),
    BIRTHDAY TIMESTAMP,
    DAYOFDEATH TIMESTAMP,
    OCCUPATION VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    COLOR INTEGER,
    NOTES VARCHAR(32768),
    CATEGORY_ID BIGINT,
    ASSISTANT VARCHAR(32768),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256)
);             
ALTER TABLE PUBLIC.PERSON ADD CONSTRAINT PUBLIC.CONSTRAINT_8 PRIMARY KEY(ID);  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON;   
CREATE CACHED TABLE PUBLIC.IDEAS(
    ID BIGINT NOT NULL,
    STATUS INTEGER,
    NOTE VARCHAR(32768),
    CATEGORY VARCHAR(256),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768)
);            
ALTER TABLE PUBLIC.IDEAS ADD CONSTRAINT PUBLIC.CONSTRAINT_4 PRIMARY KEY(ID);   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.IDEAS;    
CREATE CACHED TABLE PUBLIC.INTERNAL(
    ID BIGINT NOT NULL,
    KEY VARCHAR(512),
    STRING_VALUE VARCHAR(4096),
    INTEGER_VALUE INTEGER,
    BOOLEAN_VALUE BOOLEAN,
    BINVALUE BINARY(16384),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768)
);         
ALTER TABLE PUBLIC.INTERNAL ADD CONSTRAINT PUBLIC.CONSTRAINT_50 PRIMARY KEY(ID);               
-- 88 +/- SELECT COUNT(*) FROM PUBLIC.INTERNAL;
INSERT INTO PUBLIC.INTERNAL(ID, KEY, STRING_VALUE, INTEGER_VALUE, BOOLEAN_VALUE, BINVALUE, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT) VALUES
(1, 'Title', 'Manuel oStorybook', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(2, 'UseHtmlScenes', NULL, NULL, TRUE, NULL, NULL, NULL, '', '', '', ''),
(3, 'UseHtmlDescr', NULL, NULL, TRUE, NULL, NULL, NULL, '', '', '', ''),
(4, 'BookCreationDate', '13/10/16', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(5, 'UseLibreOffice', NULL, NULL, FALSE, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(6, 'ChornoLayoutDirection', NULL, NULL, TRUE, NULL, NULL, NULL, '', '', '', ''),
(7, 'ChornoShowDateDiff', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(8, 'ChronoZoom', NULL, 40, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(10, 'LastUsedPart', '1', 1, NULL, NULL, NULL, NULL, '', '', '', ''),
(12, 'SubTitle', STRINGDECODE('Manuel d\u00e9taill\u00e9 de l''utilisateur (version 5.00.03)'), NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(13, 'Author', STRINGDECODE('favdb (relecture et corrections : Bernard M\u00e9haut et Yves L\u00e9aut\u00e9)'), NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(14, 'Copyright', 'Creative Commons BY NC SA', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(15, 'Notes', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(16, 'Blurb', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(17, 'ExportChapterNumbers', NULL, NULL, TRUE, NULL, NULL, NULL, '', '', '', ''),
(18, 'ExportRomanNumerals', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(19, 'ExportChapterTitles', NULL, NULL, TRUE, NULL, NULL, NULL, '', '', '', ''),
(20, 'ExportChapterDatesLocations', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(21, 'ExportSceneTitles', NULL, NULL, TRUE, NULL, NULL, NULL, '', '', '', ''),
(22, 'ExportPartTitles', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(23, 'UseSimpleTemplate', NULL, NULL, FALSE, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(24, 'UsePersonnalTemplate', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(25, 'BookZoom', NULL, 51, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(26, 'BookHeightFactor', NULL, 10, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(27, 'ReadingZoom', NULL, 60, NULL, NULL, NULL, NULL, '', '', '', ''),
(28, 'ReadingFontSize', NULL, 11, NULL, NULL, NULL, NULL, '', '', '', ''),
(29, 'ExportSceneSeparator', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(30, 'HTMLBookMultifile', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(91, 'ManageColumns', NULL, 20, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(92, 'ManageZoom', NULL, 10, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(154, 'lastImageDir', '/home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/11-2-4.png', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(155, 'HTMLUseCSS', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(156, 'PDFPageSize', 'A4', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(157, 'PDFLandscape', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(158, 'ExportDirectory', '/home/favdb/ext/oStorybook', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(159, 'HTLMCssFile', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(456, 'UseNoTemplate', NULL, NULL, TRUE, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(513, 'MemoriaBalloon', NULL, NULL, TRUE, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(672, 'Table.Idea', STRINGDECODE('(ID=75,0,hide)(Status=75,1)(Cat\u00e9gorie=75,2)(Notes=400,3)'), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(956, 'EditorFullToolbar', NULL, NULL, TRUE, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(975, 'ExportSceneDidascalie', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(1535, 'Table.Tag', STRINGDECODE('(ID=75,0,hide)(Nom=75,1)(Cat\u00e9gorie=75,2)(Description=400,3)(Notes=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(1709, 'Table.TimeEvent', STRINGDECODE('(ID=75,0,hide)(Date=40,1)(Voir les=75,0,hide)(Cat\u00e9gorie=71,2)(Intitul\u00e9=53,3)(Description=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);            
INSERT INTO PUBLIC.INTERNAL(ID, KEY, STRING_VALUE, INTEGER_VALUE, BOOLEAN_VALUE, BINVALUE, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT) VALUES
(2706, 'xEditorUse', '0', NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(3133, 'Table.Strand', STRINGDECODE('(ID=75,0,hide)(Nom=75,1)(Abr\u00e9viation=75,2)(Couleur=75,3)(Ordre=75,4)(Notes=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(3135, 'Table.Gender', STRINGDECODE('(ID=75,0,hide)(Icone=75,1)(Fichier ic\u00f4ne=82,0,hide)(Genres=75,2)(Enfance=75,3)(Adolescence=83,4)(Age adulte=75,5)(Retraite=75,6)'), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(3136, 'Table.Relationship', STRINGDECODE('(ID=75,0,hide)(Relation=75,1)(Premier Personnage=131,2)(Second Personnage=130,3)(Sc\u00e8ne de d\u00e9but=103,4)(Sc\u00e8ne de fin=81,5)(Notes=400,0,hide)(Personnages=86,6)(Lieux=75,7)(Objets=75,8)'), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(3206, 'ImportFile', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(3596, 'EditorModless', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(3827, 'HTMLNavImage', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(3830, 'CalendarYearDays', NULL, 365, NULL, NULL, NULL, NULL, '', '', '', ''),
(3831, 'CalendarWeekDays', NULL, 7, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(3832, 'CalendarMonths', NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(3833, 'CalendarHours', NULL, 24, NULL, NULL, NULL, NULL, '', '', '', ''),
(3834, 'CalendarMinutes', NULL, 60, NULL, NULL, NULL, NULL, '', '', '', ''),
(3835, 'CalendarSeconds', NULL, 60, NULL, NULL, NULL, NULL, '', '', '', ''),
(3836, 'CalendarStartDay', NULL, 5, NULL, NULL, NULL, NULL, '', '', '', ''),
(3837, 'CalendarMonthsName', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(3838, 'CalendarDaysName', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(3839, 'HTMLNav', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(3840, 'HTMLBookMultiScene', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(3841, 'ExportChapterBooktitle', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(3842, 'ExportChapterBreakPage', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(3845, 'TypistUse', '0', NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(3849, 'HTMLCssFile', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(3902, 'Assistant', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(3903, 'UseCalendar', '0', NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(3928, 'AssistantStep', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(3929, 'AssistantPolti', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(4187, 'Table.Part', STRINGDECODE('(ID=75,0,hide)(Num\u00e9ro=75,1)(Nom=75,2)(Contenu dans=91,3)(Cr\u00e9ation le=75,4)(Objectif de date=103,5)(Fini le=75,6)(Objectif de taille=104,7)(Notes=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(4239, 'Table.Chapter', STRINGDECODE('(ID=75,0,hide)(Partie=75,1)(Num\u00e9ro=75,2)(Intitul\u00e9=305,3)(Nb de sc\u00e8nes=84,0,hide)(Cr\u00e9ation le=75,4)(Objectif de date=103,5)(Objectif de taille=104,6)(Description=400,7)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(4240, 'Table.Scene', STRINGDECODE('(ID=75,0,hide)(Intitul\u00e9=268,1)(Mots=75,2)(Fil=75,0,hide)(Chapitre=271,3)(N\u00b0 de la Sc\u00e8ne=99,4)(\u00c9tat=40,5)(Informatif=75,0,hide)(Narrateur=75,0,hide)(Sans date=75,0,hide)(Date=75,0,hide)(Se passe=75,0,hide)(jour(s) apr\u00e8s la sc\u00e8ne=141,0,hide)(Fils=75,0,hide)(R\u00e9sum\u00e9/Texte=400,0,hide)(Personnages=86,0,hide)(Lieux=75,0,hide)(Objets=75,0,hide)(Plots=75,6)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, NULL),
(4241, 'Table.Location', STRINGDECODE('(ID=75,0,hide)(Nom=75,1)(Adresse=75,0,hide)(Ville=75,2)(Pays=75,3)(O\u00f9=75,4)(Altitude=75,0,hide)(Description=400,5)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, NULL),
(4242, 'Table.Persons', STRINGDECODE('(ID=75,0,hide)(Pr\u00e9nom/Surnom=103,1)(Nom=75,2)(Abr\u00e9viation=75,3)(Genres=75,4)(Cat\u00e9gorie=75,5)(Date de naissance=121,6)(Jour de d\u00e9c\u00e8s=89,0,hide)(Profession=75,0,hide)(Couleur=75,7)(Attributs=75,0,hide)(Description=400,0,hide)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, NULL);       
INSERT INTO PUBLIC.INTERNAL(ID, KEY, STRING_VALUE, INTEGER_VALUE, BOOLEAN_VALUE, BINVALUE, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT) VALUES
(4243, 'Table.Item', STRINGDECODE('(ID=75,0,hide)(Nom=75,1)(Fichier ic\u00f4ne=82,0,hide)(Cat\u00e9gorie=75,2)(Description=400,3)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, '', NULL, NULL, NULL),
(4244, 'Scenario', '0', NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(4245, 'Markdown', NULL, NULL, FALSE, NULL, NULL, NULL, '', '', '', ''),
(4343, 'UUID', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(4344, 'ISBN', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(4345, 'Language', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(4347, 'Table.EndnoteTable', STRINGDECODE('(ID=75,0,hide)(Num\u00e9ro=75,1)(Sc\u00e8ne=75,2)(Notes=400,3)'), NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(4374, 'xEditorName', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(4375, 'xEditorTemplate', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(4376, 'xEditorExtension', '', NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(4393, 'Table.ChapterTable', STRINGDECODE('(ID=75,0,hide)(Partie=75,1)(Num\u00e9ro=75,2)(Intitul\u00e9=75,3)(Sc\u00e8nes=75,4)(Mots=75,5)(Caract\u00e8res=88,0,hide)(Date de cr\u00e9ation=131,0,hide)(Date objectif=100,0,hide)(Taille=75,6)(Description=400,7)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(4421, 'Table.LocationTable', STRINGDECODE('(ID=75,0,hide)(Nom=75,1)(Adresse=75,0,hide)(Ville=75,2)(Pays=75,3)(o\u00f9=75,4)(Altitude=75,0,hide)(GPS=75,0,hide)(Description=400,5)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(4422, 'Table.PersonTable', STRINGDECODE('(ID=75,0,hide)(Pr\u00e9nom/Surnom=116,1)(Nom=75,2)(abr\u00e9viation=88,3)(Genre=75,4)(Cat\u00e9gorie=75,5)(Date de naissance=132,6)(Jour de d\u00e9c\u00e8s=110,0,hide)(Profession=86,0,hide)(Couleur=75,7)(Attributs=75,0,hide)(Description=400,0,hide)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, '', '', '', ''),
(4423, 'Table.SceneTable', STRINGDECODE('(ID=75,1)(Intitul\u00e9=413,2)(Mots=44,3)(Fil=75,0,hide)(Chapitre=304,4)(Num\u00e9ro=75,0,hide)(\u00c9tat=40,5)(Informatif=80,0,hide)(Narrateur=79,0,hide)(Sans date=80,0,hide)(Date=75,0,hide)(Se passe=75,0,hide)(jour(s) apr\u00e8s la sc\u00e8ne=171,0,hide)(Fils=75,0,hide)(R\u00e9sum\u00e9/Texte=400,0,hide)(Personnages=105,0,hide)(Lieux=75,0,hide)(Objets=75,0,hide)(photos=75,6)(Actions=75,0,hide)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL, NULL, NULL, '', '', '', '');      
CREATE CACHED TABLE PUBLIC.PLOT(
    ID BIGINT NOT NULL,
    NAME VARCHAR(256),
    CATEGORY VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    ASSISTANT VARCHAR(32768)
);          
ALTER TABLE PUBLIC.PLOT ADD CONSTRAINT PUBLIC.CONSTRAINT_25 PRIMARY KEY(ID);   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PLOT;     
CREATE CACHED TABLE PUBLIC.PART(
    ID BIGINT NOT NULL,
    NUMBER INTEGER,
    NAME VARCHAR(256),
    NOTES VARCHAR(32768),
    PART_ID BIGINT,
    CREATION_TS TIMESTAMP,
    OBJECTIVE_TS TIMESTAMP,
    DONE_TS TIMESTAMP,
    OBJECTIVE_CH INTEGER,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    ASSISTANT VARCHAR(32768)
);     
ALTER TABLE PUBLIC.PART ADD CONSTRAINT PUBLIC.CONSTRAINT_2 PRIMARY KEY(ID);    
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.PART;     
INSERT INTO PUBLIC.PART(ID, NUMBER, NAME, NOTES, PART_ID, CREATION_TS, OBJECTIVE_TS, DONE_TS, OBJECTIVE_CH, CREATION, MAJ, DESCRIPTION, ASSISTANT) VALUES
(1, 1, 'Partie 1', '', NULL, TIMESTAMP '2016-10-13 10:04:51.789', NULL, NULL, 0, NULL, NULL, '', '');
CREATE CACHED TABLE PUBLIC.SCENE(
    ID BIGINT NOT NULL,
    CHAPTER_ID BIGINT,
    STRAND_ID BIGINT,
    SCENENO INTEGER,
    SCENE_TS TIMESTAMP,
    TITLE VARCHAR(2048),
    SUMMARY VARCHAR(32768),
    STATUS INTEGER,
    RELATIVE_DATE_DIFFERENCE INTEGER,
    RELATIVE_SCENE_ID BIGINT,
    NOTES VARCHAR(32768),
    INFORMATIVE BOOLEAN,
    ODF VARCHAR(256),
    NARRATOR_ID BIGINT,
    ASSISTANT VARCHAR(32768),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    SCENARIO_PITCH VARCHAR(1024),
    SCENARIO_STAGE INTEGER,
    SCENARIO_START INTEGER,
    SCENARIO_END INTEGER,
    SCENARIO_MOMENT INTEGER,
    SCENARIO_LOC INTEGER
);           
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.CONSTRAINT_4B PRIMARY KEY(ID);  
-- 84 +/- SELECT COUNT(*) FROM PUBLIC.SCENE;   
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(1, 20, 1, 100, NULL, '1.1 Introduction', STRINGDECODE('<p>\n      oStorybook peut &#234;tre utilis&#233; pour pr&#233;parer et g&#233;rer une nouvelle, un \n      livre, une pi&#232;ce de th&#233;&#226;tre, un sc&#233;nario de film, etc. Sa destination \n      premi&#232;re est donc de proposer aux auteurs un outil complet et bien \n      int&#233;gr&#233; pour leur faciliter le travail. Mais oStorybook peut aussi \n      s''utiliser dans le domaine universitaire pour permettre l''analyse \n      structur&#233;e d''un ouvrage litt&#233;raire. Par convention le reste du pr&#233;sent \n      document se r&#233;f&#233;rera principalement au contexte d''une pi&#232;ce de th&#233;&#226;tre, \n      &#171;&#160;Le m&#233;decin malgr&#233; lui&#160;&#187; de Moli&#232;re, dont le fichier est disponible en \n      t&#233;l&#233;chargement, mais toutes les fonctions restent pertinentes dans les \n      autres cas de figure. La structure logique d''un ouvrage, telle \n      qu''utilis&#233;e par oStorybook, est la suivante&#160;:\n    </p>\n    <ul>\n      <li>\n        Un livre est constitu&#233; d''une ou plusieurs parties (on utilise les \n        parties pour des ouvrages volumineux).\n      </li>\n      <li>\n        Une partie est compos&#233;e d''un ou plusieurs chapitres.\n      </li>\n      <li>\n        Un chapitre est constitu&#233; d''une ou plusieurs sc&#232;nes.\n      </li>\n      <li>\n        En g&#233;n&#233;ral, une sc&#232;ne se d&#233;roule en un lieu unique, mais oStorybook \n        permet de d&#233;crire des sc&#232;nes se d&#233;roulant en plusieurs lieux.\n      </li>\n      <li>\n        Une sc&#232;ne peut mettre en action un ou des personnages.\n      </li>\n      <li>\n        L''action peut aussi comporter des objets.\n      </li>\n      <li>\n        L''histoire g&#233;n&#233;rale peut suivre diff&#233;rents fils, ou points de vue.\n      </li>\n    </ul>\n    <p>\n      Cette structure globale s''accompagne de quelques r&#232;gles&#160;:\n    </p>\n    <ul>\n      <li>\n        Une sc&#232;ne peut ou non &#234;tre raccord&#233;e &#224; un chapitre.\n      </li>\n      <li>\n        Les sc&#232;nes qui ne sont pas assign&#233;es &#224; un chapitre n''appara&#238;tront pas \n        lors de l''affichage des vues structur&#233;es (mode livre, mode lecture, \n        Storyboard, etc...), elles ne seront pas non plus export&#233;es.\n      </li>\n      <li>\n        Ainsi toutes les sc&#232;nes qui appara&#238;tront dans le livre final doivent \n        &#234;tre rattach&#233;es &#224; un chapitre.\n      </li>\n      <li>\n        Une nouvelle sc&#232;ne n''est pas automatiquement assign&#233;e &#224; un chapitre. \n        Le chapitre devra &#234;tre s&#233;lectionn&#233; via l''&#233;diteur (voir plus loin), ou \n        en utilisant la vue &quot;G&#233;rer les Sc&#232;nes&quot; et en faisant un \n        glisser-d&#233;poser de la sc&#232;ne dans le chapitre correspondant.\n      </li>\n      <li>\n        Une sc&#232;ne n''est habituellement pas la m&#234;me d''un chapitre &#224; l''autre, \n        ainsi deux sc&#232;nes peuvent porter le m&#234;me titre et/ou le m&#234;me num&#233;ro, &#224; \n        condition qu''elles appartiennent &#224; des chapitres diff&#233;rents.\n      </li>\n      <li>\n        Les chapitres sont divis&#233;s en sc&#232;nes (le plus petit &#233;l&#233;ment du \n        chapitre). &#192; chaque fois que le point de vue change, ou que l''un de \n        ses &#233;l&#233;ments se modifie, faites une nouvelle sc&#232;ne.\n      </li>\n      <li>\n        Diviser les chapitres en sc&#232;nes permet un usage optimal de ces r&#232;gles \n        et de l''outil Memoria.\n      </li>\n    </ul>\n    <p>\n      Par convention les diff&#233;rents &#233;l&#233;ments qui composent le livre seront \n      appel&#233;s des composantes. Ainsi, lorsqu''il sera question d''un personnage, \n      par exemple, on pourra l''&#233;voquer comme une composante.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', '2020-06-17 09:43:09', '2020-08-20 17:21:38', '1.1 Introduction', '', '', 0, 0, 0, 0, 0);       
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(2, 21, 1, 200, NULL, '1.2 Premiere utilisation', STRINGDECODE('<p>\n      oStorybook est pr&#233;vu pour fonctionner dans un mode I18N, c''est-&#224;-dire \n      dans un environnement internationalis&#233;. Lors du premier lancement vous \n      devrez donc renseigner le param&#232;tre de votre langue. Par la suite, si \n      vous le souhaitez, vous pourrez modifier ce param&#232;tre, voir le chapitre \n      sur les <b>Param&#232;tres globaux</b>. L''internalisation porte sur les \n      langues suivantes (sont signal&#233;es en gras les langues qui sont \n      activement soutenues par les traducteurs b&#233;n&#233;voles)&#160;:\n    </p>\n    <ul>\n      <li>\n        Tch&#232;que (Czech)\n      </li>\n      <li>\n        Danois (Danish)\n      </li>\n      <li>\n        Allemand (German)\n      </li>\n      <li>\n        Grecque (&#917;&#955;&#955;&#951;&#957;&#953;&#954;&#940;)\n      </li>\n      <li>\n        <b>Anglais</b> (English)\n      </li>\n      <li>\n        <b>Espagnol</b> (Spanish)\n      </li>\n      <li>\n        Finnois (Finnish)\n      </li>\n      <li>\n        <b>Fran&#231;ais</b> (French)\n      </li>\n      <li>\n        <b>Hongrois</b> (Magyar)\n      </li>\n      <li>\n        Italien (Italian)\n      </li>\n      <li>\n        H&#233;breu &#1506;&#1489;&#1512;&#1497;&#1514; (Hebrew)\n      </li>\n      <li>\n        <b>Japonais</b> &#26085;&#26412;&#35486; (Japanese)\n      </li>\n      <li>\n        N&#233;erlandais (Dutch)\n      </li>\n      <li>\n        Polonais (Polish)\n      </li>\n      <li>\n        Portugais Br&#233;silien (Brazilian Portuguese)\n      </li>\n      <li>\n        Russe &#1056;&#1091;&#1089;&#1089;&#1082;&#1080;&#1081; (Russian)\n      </li>\n      <li>\n        Su&#233;dois (Swedish)\n      </li>\n      <li>\n        Chinois &#31616;&#20307;&#23383; (Simplified Chinese)\n      </li>\n      <li>\n        Chinois traditionnel &#32321;&#39636;&#20013;&#25991; (Traditional Chinese)\n      </li>\n    </ul>\n    <p>\n      Si vous voulez contribuer au d&#233;veloppement de oStorybook et que vous \n      parlez une autre de ces langues vous pouvez traduire l''interface \n      utilisateur et tous les messages, reportez vous au manuel d&#233;di&#233; &#224; la \n      traduction de oStorybook.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', '2020-06-17 09:45:28', '2020-06-17 10:29:05', '1.2 Premiere utilisation', '', '', 0, 0, 0, 0, 0),
(3, 3, 1, 310, NULL, STRINGDECODE('3.1 Pr\u00e9sentation'), STRINGDECODE('<p align=\"justify\">\n      Dans le menu <b><i>Fichier</i></b> choisissez <b><i>Nouveau</i></b>. \n      Dans la bo&#238;te de dialogue donnez le nom &#224; votre fichier et le r&#233;pertoire \n      o&#249; il sera enregistr&#233;.\n    </p>\n    <p align=\"left\">\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/3-1.png\" width=\"652\" height=\"555\">\n      \n    </p>\n    <p>\n      La seule information obligatoire &#224; ce stade est de titre du livre que \n      vous appr&#233;tez &#224; &#233;crire. Si votre ouvrage est un sc&#233;nario cochez la case \n      correspondante (voir le chapitre consacr&#233; &#224; l''&#233;criture d''un sc&#233;nario). \n      Vous pouvez aussi choisir le mode de saisie du texte (voir &#224; ce propos \n      le chapitre d&#233;di&#233; au Markdon).\n    </p>\n    <p>\n      Lorsque vous validerez ces informations vous devrez s&#233;lectionner un \n      dossier et un nom de fichier qui correspondra &#224; votre projet.\n    </p>\n    <p>\n      <i>Astuce</i>&#160;: Par la suite vous pourrez utiliser des fonctions \n      d''exportation permettant en particulier de r&#233;cup&#233;rer vos informations \n      sous un autre format. Au stade de la cr&#233;ation d''un nouveau livre je vous \n      recommande de s&#233;lectionner un r&#233;pertoire vide cr&#233;&#233; &#224; cet effet. Ainsi \n      vous r&#233;unirez dans un endroit unique les informations qui vous seront \n      utiles, qu''elles soient issues de oStorybook ou pas. Pour votre propre \n      organisation le fait de r&#233;unir dans un seul dossier vos diff&#233;rentes \n      informations, y compris le fichier oStorybook, vous facilitera les \n      choses, en particulier pour les sauvegardes.&#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', '2020-06-17 09:46:27', '2020-08-19 18:14:49', STRINGDECODE('3.1 Pr\u00e9sentation'), '', '', 0, 0, 0, 0, 0);             
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(4, 3, 1, 330, NULL, '3.3 Remarque', STRINGDECODE('<p>\n      <i>Remarque importante sur le nom de fichier</i>&#160;: n''utilisez pas de \n      caract&#232;res sp&#233;ciaux tels que / \\ ? * : ou autres. Pour plus \n      d''information voyez l''article de Wikipedia. Un nom de fichier correct \n      contiendra seulement des caract&#232;res alphanum&#233;riques (A-Z, a-z, 0-9), \n      l''espace, le soulign&#233; et le tiret.\n    </p>\n    <p>\n      <u>Exemples</u> :\n    </p>\n    <p>\n      sont corrects les noms suivants (sans les guillemets)\n    </p>\n    <ul>\n      <li>\n        &quot;lemedecinmalgrelui&quot;\n      </li>\n      <li>\n        &quot;Le m&#233;decin malgr&#233; lui&quot;\n      </li>\n      <li>\n        &quot;Le_m&#233;decin_malgr&#233;_lui&quot;\n      </li>\n    </ul>\n    <p>\n      sont incorrects les noms comme :\n    </p>\n    <ul>\n      <li>\n        &quot;Le%m&#233;decin%malgr&#233;%lui&quot;\n      </li>\n      <li>\n        &quot;le/medecin/malgr&#233;/lui&quot;\n      </li>\n    </ul>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', '2020-06-17 09:56:36', '2020-06-17 09:56:36', '3.3 Remarque', '', '', 0, 0, 0, 0, 0),
(5, 3, 1, 320, NULL, '3.2 Note', STRINGDECODE('<p>\n      La plupart des exemples de ce manuel sont bas&#233;s sur &#171;&#160;Le m&#233;decin malgr&#233; \n      lui&#160;&#187;, la pi&#232;ce de Moli&#232;re. Ainsi j''ai choisi le nom de fichier \n      &#171;&#160;LeMedecinMalgreLui&#160;&#187; sans utiliser l''espace et en marquant chaque mot \n      par une majuscule. Techniquement le fichier qui sera cr&#233;&#233; sur votre \n      disque prendra l''extension &#171;&#160;osbk&#160;&#187;, le fichier de travail, dui sera \n      d&#233;truit  &#224; la fin de votre session, prendra l''extension &#171;&#160;mv.db&#160;&#187;.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '3.2 Note', '', '', 0, 0, 0, 0, 0),
(6, 3, 1, 340, NULL, '3.4 Aspect', STRINGDECODE('<p>\n      Apr&#232;s la cr&#233;ation du fichier, oStorybook ressemble &#224; ceci&#160;:\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/3-2.png\" width=\"718\" height=\"390\">\n      \n    </p>\n    <p>\n      &#160;En haut il y a le traditionnel menu et sa barre d''outils qui sont \n      finalement des raccourcis vers les menus correspondants.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', '2020-06-17 09:57:23', '2020-06-17 09:57:23', '3.4 Aspect', '', '', 0, 0, 0, 0, 0),
(7, 3, 1, 350, NULL, STRINGDECODE('3.5 Note sur les sous-fen\u00eatres de la fen\u00eatre principale de oStorybook'), STRINGDECODE('<p>\n      Ces sous-fen&#234;tres, appel&#233;es vues, sont ancrables (technique du docking). \n      Les sous-fen&#234;tres ancrables fonctionnent de la m&#234;me mani&#232;re qu''une \n      fen&#234;tre d''application traditionnelle, sans que ce soit exactement comme \n      une fen&#234;tre normale.\n    </p>\n    <p>\n      Les sous-fen&#234;tres ancrables peuvent &#234;tre d&#233;plac&#233;es, ferm&#233;es, minimis&#233;es \n      ou maximis&#233;es. Pour l''instant laissez les en l''&#233;tat. Si vous fermez \n      accidentellement une sous-fen&#234;tre et que vous n''arrivez pas &#224; la \n      retrouver vous pourrez toujours utiliser la pr&#233;sentation par d&#233;faut via \n      le menu <b>Fen&#234;tres</b>.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', '2020-06-17 09:57:40', '2020-06-17 09:57:40', STRINGDECODE('3.5 Note sur les sous-fen\u00eatres de la fen\u00eatre principale de oStorybook'), '', '', 0, 0, 0, 0, 0),
(8, 3, 1, 360, NULL, STRINGDECODE('3.6 D\u00e9tail'), STRINGDECODE('<ol>\n      <li>\n        Dans cette sous-fen&#234;tre il y a une liste arborescente. Les objets \n        list&#233;s sont les personnages, les lieux ou les sc&#232;nes par ordre \n        hi&#233;rarchique. Pour plus d''informations sur la mani&#232;re d''utiliser cette \n        vue reportez-vous au chapitre &quot;14.9 Vue arbre&quot;.\n      </li>\n      <li>\n        Cette vue montre les informations sur un objet. Elle est associ&#233;e &#224; \n        l''objet s&#233;lectionn&#233; dans l''arbre ou l''une ou l''autre des vues. Par \n        exemple, cliquez sur un objet dans l''arbre, ses informations \n        apparaissent dans cette vue.\n      </li>\n      <li>\n        Cette vue est appel&#233;e &#171;&#160;Vue Chronologique&#160;&#187;. La vue chronologique \n        montre les sc&#232;nes dans l''ordre chronologique. Comme vous pouvez le \n        voir, la premi&#232;re sc&#232;ne est d&#233;j&#224; cr&#233;&#233;e.\n      </li>\n      <li>\n        Les sous-fen&#234;tres ancrables peuvent &#234;tre organis&#233;es via leurs onglets, \n        un peu comme avec les onglets de Firefox. Quatre de ces onglets sont \n        actuellement ouverts et disponibles. Cliquez sur l''un des onglets pour \n        changer la vue. Voir le chapitre &quot;4.1 Aspects et utilisation&quot;.\n      </li>\n      <li>\n        La barre d''&#233;tats fournit en permanence trois informations&#160;:\n      </li>\n      <ul>\n        <li>\n          La partie sur laquelle vous travaillez, voir le chapitre &#171;&#160;Partie&#160;&#187;.\n        </li>\n        <li>\n          Des statistiques sommaires, voir le chapitre &quot;6.5 D&#233;tail de l''onglet \n          Informations sur le fichier&quot;\n        </li>\n        <li>\n          Un bargraphe indiquant visuellement les statistiques d''occupation de \n          la m&#233;moire de votre ordinateur (lorsque l''option correspondante a \n          &#233;t&#233; activ&#233;e).\n        </li>\n      </ul>\n    </ol>\n    <p>\n      La premi&#232;re chose &#224; faire apr&#232;s avoir cr&#233;&#233; votre fichier sera de \n      v&#233;rifier, et &#233;ventuellement modifier, les propri&#233;t&#233;s principales de \n      l''ouvrage, voir le chapitre &quot;6. Propri&#233;t&#233;s&quot;.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:13:52', STRINGDECODE('3.6 D\u00e9tail'), '', '', 0, 0, 0, 0, 0);            
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(9, 4, 1, 410, NULL, '4.1 Aspects et utilisation', STRINGDECODE('<p>\n      Comme &#233;voqu&#233; au chapitre pr&#233;c&#233;dent oStorybook pr&#233;sente plusieurs vues \n      qu''il est possible de manipuler ind&#233;pendamment. Une vue est \n      principalement identifi&#233;e par son onglet dont le titre s''accompagne de \n      plusieurs outils.\n    </p>\n    <p align=\"center\">\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/4-1.png\" width=\"253\" height=\"36\">\n      &#160;\n    </p>\n    <ul>\n      <li>\n        <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/4-1-1.png\" width=\"12\" height=\"12\">\n        Actualiser&#160;: lorsque vous modifiez l''une des composantes toutes les \n        vues sont automatiquement actualis&#233;es. Si ce n''est pas le cas cliquez \n        sur cet outil pour en forcer l''actualisation.\n      </li>\n      <li>\n        <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/4-1-2.png\" width=\"12\" height=\"12\">\n        Options&#160;: certaines vues disposent d''options pour r&#233;gler le niveau de \n        zoom par exemple.\n      </li>\n      <li>\n        <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/4-1-3.png\" width=\"12\" height=\"12\">\n        Exporter&#160;: vous pouvez exporter vos informations dans l''un des formats \n        que vous aurez pr&#233;cis&#233; au pr&#233;alable dans les param&#232;tres globaux de \n        oStorybook, voir le chapitre &quot;5. Pr&#233;f&#233;rences&quot;.\n      </li>\n      <li>\n        <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/4-1-4.png\" width=\"15\" height=\"15\">\n        Dock&#160;: rend la vue &quot;ancr&#233;e&quot;.\n      </li>\n      <li>\n        <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/4-1-5.png\" width=\"15\" height=\"15\">\n        Undock&#160;: rend la vue&#160;&quot;flottante&quot;.\n      </li>\n      <li>\n        <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/4-1-6.png\" width=\"15\" height=\"15\">\n        Maximiser&#160;: agrandir la vue pour qu''elle occupe tout l''espace de la \n        fen&#234;tre de l''application.\n      </li>\n      <li>\n        <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/4-1-7.png\" width=\"15\" height=\"15\">\n        Minimiser&#160;: r&#233;duire la vue sous la forme simple d''un onglet qui est \n        dispos&#233; &#224; l''extr&#234;me droite de la fen&#234;tre de l''application.\n      </li>\n      <li>\n        <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/4-1-8.png\" width=\"15\" height=\"15\">\n        Restaurer&#160;: remettre la vue &#224; sa taille initiale dans l''ensemble de \n        base.\n      </li>\n      <li>\n        <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/4-1-9.png\" width=\"7\" height=\"7\">\n        Fermer&#160;: pour faire dispara&#238;tre la vue.\n      </li>\n    </ul>\n    <p>\n      Vous pouvez aussi utiliser le clique droit sur le titre de la vue pour \n      d&#233;rouler un menu qui vous offrira les m&#234;mes fonctions, ou pour \n      s&#233;lectionner la vue que vous voulez faire appara&#238;tre.\n    </p>\n    <p>\n      Vous pouvez aussi d&#233;placer la vue par un glisser/d&#233;poser. Cliquez sur le \n      titre puis sans rel&#226;cher le bouton d&#233;placez votre souris pour \n      positionner la vue o&#249; vous le souhaitez.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '4.1 Aspects et utilisation', '', '', 0, 0, 0, 0, 0),
(10, 4, 1, 420, NULL, '4.2 Disposition', STRINGDECODE('<p>\n      Le menu <b>Fen&#234;tre</b> permet de g&#233;rer la disposition des \n      diff&#233;rentes vues au mieux de vos besoins. Ainsi vous pourrez&#160;:\n    </p>\n    <ul>\n      <li>\n        enregistrer une disposition particuli&#232;rement\n      </li>\n      <li>\n        charger une disposition pr&#233;alablement enregistr&#233;e\n      </li>\n      <li>\n        revenir &#224; la disposition standard de base\n      </li>\n      <li>\n        utiliser l''une des dispositions pr&#233;&#233;tablies\n      </li>\n      <li>\n        r&#233;initialiser la disposition\n      </li>\n      <li>\n        actualiser la vue\n      </li>\n    </ul>\n    <p>\n      Voici quelques vues standards pr&#233;d&#233;finies:\n    </p>\n    <ul>\n      <li>\n        seulement la vue Livre\n      </li>\n      <li>\n        seulement la vue Chrono\n      </li>\n      <li>\n        seulement la vue Gestion\n      </li>\n      <li>\n        seulement la vue Lecture\n      </li>\n      <li>\n        les personnages et le lieux\n      </li>\n      <li>\n        les &#233;tiquettes et le objets\n      </li>\n      <li>\n        Sc&#233;nario\n      </li>\n      <li>\n        Th&#233;&#226;tre\n      </li>\n      <li>\n        Storyboard\n      </li>\n    </ul>\n    <p>\n      Pour plus de d&#233;tails sur ces vues reprotez-vous au chapitres \n      correspondants (chapitre 14 en particulier).\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', '2020-06-17 10:10:58', '2020-06-17 10:14:23', '4.2 Disposition', '', '', 0, 0, 0, 0, 0);    
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(11, 5, 1, 510, NULL, STRINGDECODE('5.1 Pr\u00e9sentation'), STRINGDECODE('<p>\n  Le fonctionnement g&#233;n&#233;ral de oStorybook respecte des param&#232;tres que vous \n  pouvez personnaliser &#224; tout moment. Pour modifier vos pr&#233;f&#233;rences allez \n  dans le menu <b>Editer</b> et s&#233;lectionnez <b>Pr&#233;f&#233;rences</b>. \n  La fen&#234;tre de dialogue suivante s''ouvre&#160;:\n</p>\n<p>\n  <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/5-1.png\" width=\"520\" height=\"375\">\n  &#160;\n</p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', '2020-06-17 10:10:56', '2020-06-17 10:10:56', STRINGDECODE('5.1 Pr\u00e9sentation'), '', '', 0, 0, 0, 0, 0),
(12, 5, 1, 520, NULL, STRINGDECODE('5.2 D\u00e9tail'), STRINGDECODE('<p>\n      <b>Langue</b>&#160;: c''est la langue que vous avez choisie pour le \n      fonctionnement de oStorybook. Si vous changez la langue, tous les menus, \n      titre de vue, titre de fen&#234;tre de dialogue, etc. seront automatiquement \n      traduits dans cette nouvelle langue.\n    </p>\n    <p>\n      <b>Format de la date</b>&#160;: vous pouvez choisir le format de la date que \n      vous souhaitez. Pour les Anglo-saxons, par exemple, ce sera \n      &#171;&#160;MM-dd-yyyy&#160;&#187;. Le MM repr&#233;sente le num&#233;ro du mois, dd le num&#233;ro du jour \n      dans le mois et yyyy sera l''ann&#233;e sur 4 chiffres. Il n''est pas possible \n      de s&#233;lectionner un format autre que l''un de ceux propos&#233;s.\n    </p>\n    <p>\n      <b>D&#233;marrage&#8230; r&#233;ouvrir le dernier projet</b>&#160;: cette \n      case, si elle est coch&#233;e, va indiquer &#224; oStorybook que lors de son \n      d&#233;marrage il encha&#238;nera automatiquement la fonction d''ouverture du \n      dernier fichier sur lequel vous avez travaill&#233;. Vous retrouvez ainsi, \n      d''une fois &#224; l''autre, l''application dans la m&#234;me apparence.\n    </p>\n    <p>\n      <b>Sortie&#8230; confirmer la sortie</b>&#160;: lorsque cette case est \n      coch&#233;e, oStorybook vous sollicitera pour confirmer l''action de quitter \n      l''application.\n    </p>\n    <p>\n      <b>V&#233;rifier les mises &#224; jour&#8230;&#160;</b>: si votre \n      ordinateur est connect&#233; &#224; Internet vous pouvez d&#233;cider de la fr&#233;quence &#224; \n      laquelle le logiciel va v&#233;rifier si une nouvelle version du logiciel est \n      parue.\n    </p>\n    <ul>\n      <li>\n        <b>jamais</b>&#160;: la v&#233;rification ne sera pas automatique, vous devrez \n        la faire vous-m&#234;me.\n      </li>\n      <li>\n        <b>une fois tous les 90 jours</b>&#160;: les nouvelles versions de \n        oStorybook paraissent en g&#233;n&#233;ral le 21 avril, le 1er septembre et le \n        1er d&#233;cembre. Il n''est pas n&#233;cessaire de se rappeler ces dates, la \n        v&#233;rification une fois par trimestre vous assurera que vous avez \n        toujours la derni&#232;re version du logiciel.\n      </li>\n      <li>\n        <b>&#224; chaque lancement de oStorybook&#160;</b>: la v&#233;rification \n        sera effectu&#233;e &#224; chaque lancement du logiciel. Si votre connexion \n        Internet n''est pas tr&#232;s rapide &#231;a peut &#234;tre p&#233;nalisant lors du \n        lancement.\n      </li>\n    </ul>\n    <p>\n      <b>Note</b>&#160;: je pr&#233;conise de choisir l''option <b>&quot;jamais&quot;</b> \n      et de faire l''op&#233;ration <b>&quot;manuellement&quot;</b> lorsqu''on \n      le souhaite. C''est un comportement personnel, je pr&#233;f&#232;re toujours, \n      lorsque j''ai le choix, faire les choses moi-m&#234;me.\n    </p>\n    <p>\n      <b>Apparence</b>&#160;: vous pouvez choisir la police de caract&#232;res que va \n      utiliser oStorybook. Pour en changer cliquez sur le bouton &quot;Police&quot;.\n    </p>\n    <p>\n      <b>Format de pr&#233;f&#233;rence pour l''export de la base de donn&#233;es</b>&#160;: \n      les donn&#233;es g&#233;r&#233;es par le logiciel peuvent &#234;tre export&#233;es dans divers \n      formats, voir le chapitre &quot;11. Export&quot;. Vous pouvez choisir ici l''un des \n      trois formats&#160;:\n    </p>\n    <ul>\n      <li>\n        <b>txt</b>&#160;: format le plus basique\n      </li>\n      <li>\n        <b>csv</b>&#160;: format de base des export/import pour des logiciels \n        tableurs (comme Calc de LibreOffice ou Excel).\n      </li>\n      <li>\n        <b>xml</b>&#160;: format structur&#233; qui s''inspire du format DocBook.\n      </li>\n      <li>\n        <b>html</b>&#160;: format des pages web.\n      </li>\n    </ul>\n    <p>\n      Toutes ces pr&#233;f&#233;rences, et d''autres, sont enregistr&#233;es dans un fichier \n      &quot;oStorybook.ini&quot; qui est conserv&#233; dans votre dossier de l''application. \n      Sous Linux le dossier est situ&#233; dans le r&#233;pertoire personnel sous le nom \n      &#171;&#160;.storybook5&#160;&#187;, sous Windows ce serait plut&#244;t dans \n      &quot;C:\\Program&#160;Files\\App\\oStorybook&quot;.\n    </p>'), 1, NULL, NULL, '', FALSE, '', NULL, '', NULL, NULL, STRINGDECODE('5.2 D\u00e9tail'), '', '', 0, 0, 0, 0, 0);     
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(14, 6, 1, 610, NULL, STRINGDECODE('6.1 D\u00e9tail de l''onglet \"Propri\u00e9t\u00e9s\"'), STRINGDECODE('<ul>\n      <li>\n        <b>Titre</b>&#160;: c''est le titre de votre ouvrage.\n      </li>\n      <li>\n        <b>Sous-titre</b>&#160;: vous pouvez donner un sous-titre.\n      </li>\n      <li>\n        <b>Auteur</b>&#160;: donnez ici votre nom de plume, ou votre nom r&#233;el.\n      </li>\n      <li>\n        <b>Droits d''auteur</b>&#160;: indiquez ici le droit de licence que vous \n        voulez utiliser. Dans l''exemple choisi, &#171;&#160;Le m&#233;decin malgr&#233;&#160;&#187;, \n        l''ouvrage est dans le domaine public. Vous pouvez indiquer l''intitul&#233; \n        que vous voulez.\n      </li>\n      <li>\n        <b>Notes</b>&#160;: une indication globale des recherches documentaires, la \n        source du texte&#8230; bref ce que vous voulez noter. Dans l''exemple c''est \n        le lien Internet &#224; partir duquel le texte a &#233;t&#233; repris.\n      </li>\n      <li>\n        <b>R&#233;sum&#233;</b>&#160;: pour d&#233;crire l''action r&#233;sum&#233;e de votre \n        ouvrage.\n      </li>\n    </ul>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/6-2.png\" width=\"654\" height=\"450\">\n      &#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:19:24', STRINGDECODE('6.1 D\u00e9tail de l''onglet \"Propri\u00e9t\u00e9s\"'), '', '', 0, 0, 0, 0, 0),
(15, 6, 1, 620, NULL, STRINGDECODE('6.2 D\u00e9tail de l''onglet \"G\u00e9n\u00e9ral\"'), STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/6-3.png\" width=\"584\" height=\"450\">\n      &#160;\n    </p>\n    <p>\n      Dans cet onglet vous pouvez choisir les param&#232;tres de pr&#233;sentation, ou \n      de formatage, du texte. En g&#233;n&#233;ral, on validera toutes les options qui \n      offrent un maximum de confort. &#192; noter que les options &#171;&#160;HTML&#160;&#187; \n      permettent en particulier d''utiliser des choses comme la mise en \n      italique ou en gras du texte ou encore le type d''alignement, etc...\n    </p>\n    <p>\n      Vous pourrez aussi param&#233;trer diff&#233;rents &#233;l&#233;ments utiles pour l''export \n      du texte, par exemple lors de la mise en forme d''un fichier HTML, voir \n      le chapitre &quot;11.4 Exporter et publier le livre&quot;.\n    </p>\n    <p>\n      &#192; noter que l''export &quot;didascalie&quot; permet d''ajouter la liste des \n      personnages, des lieux et des objets qui sont effectivement li&#233;s &#224; cette \n      sc&#232;ne. C''est une mise en forme traditionnelle pour les pi&#232;ces de th&#233;&#226;tre \n      et les sc&#233;narios et qui peut se r&#233;v&#233;ler utile pour les autres cas de \n      figure.\n    </p>\n    <p>\n      Pour ce qui est de l''option &quot;Editeurs non-bloquants&quot; reportez-vous au \n      chapitre &quot;18.6 Editeur bloquant&quot;.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:20:35', STRINGDECODE('6.2 D\u00e9tail de l''onglet \"G\u00e9n\u00e9ral\"'), '', '', 0, 0, 0, 0, 0),
(16, 6, 1, 630, NULL, STRINGDECODE('6.3 D\u00e9tail de l''onglet \"OpenDocument\"'), STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/6-4.png\" width=\"654\" height=\"450\">\n      \n    </p>\n    <p>\n      Dans cet onglet vous pourrez indiquer que vous voulez utiliser \n      LibreOffice (ou Word) pour la saisie de votre texte. Dans le cas de \n      LibreOffice vous pourrez indiquer quel mod&#232;le de document employer. Pour \n      Word utilisez l''option &quot;<b>utiliser un mod&#232;le personnel</b>&quot; \n      et indiquez le mod&#232;le de r&#233;f&#233;rence. Il est &#224; noter que seuls des mod&#232;les \n      de base pour LibreOffice sont livr&#233;s avec le logiciel, donc ne les \n      utilisez pas pour Word. Pour plus de d&#233;tails reportez-vous au chapitre \n      &quot;9. Utilisation conjointe avec LibreOffice&quot;.&#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:21:03', STRINGDECODE('6.3 D\u00e9tail de l''onglet \"OpenDocument\"'), '', '', 0, 0, 0, 0, 0);    
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(17, 6, 1, 640, NULL, STRINGDECODE('6.4 D\u00e9tail de l''onglet \"Informations sur le fichier\"'), STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/6-5.png\" width=\"654\" height=\"450\">\n      \n    </p>\n    <p>\n      C''est en quelque sorte le &quot;&#192; propos&quot; de votre fichier et donne quelques \n      informations caract&#233;ristiques du contenu.&#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:21:44', STRINGDECODE('6.4 D\u00e9tail de l''onglet \"Informations sur le fichier\"'), '', '', 0, 0, 0, 0, 0),
(18, 7, 1, 710, NULL, STRINGDECODE('7.1 G\u00e9n\u00e9ralit\u00e9'), STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/7-1.png\" width=\"722\" height=\"713\">\n      \n    </p>\n    <ol>\n      <li>\n        Tout en haut c''est le titre de la fen&#234;tre et &#224; droite la possibilit&#233; \n        d''utiliser un caract&#232;re sp&#233;cial, symbolis&#233; par le caract&#232;re om&#233;ga &#937; \n        (voir le chapitre &quot;8. Ins&#233;rer un caract&#232;re sp&#233;cial&quot;), ou de cr&#233;er une \n        nouvelle id&#233;e (voir le chapitre &quot;12.13 Id&#233;es).\n      </li>\n      <li>\n        C''est l''ensemble des boutons &#224; utiliser pour la validation, ou \n        l''annulation, des modifications. Il est &#224; noter que dans le cas d''une \n        sc&#232;ne et si vous avez choisi d''utiliser LibreOffice, un bouton \n        suppl&#233;mentaire sera disponible vous permettant d''acc&#233;der directement &#224; \n        votre outil bureautique pr&#233;f&#233;r&#233; (voir le chapitre &quot;9. Utilisation \n        conjointe avec LibreOffice&quot;). Le &quot;<b>OK</b>&quot; va valider les \n        modifications et fermera la fen&#234;tre. Le &quot;<b>Mise &#224; jour</b>&quot; \n        ne fera qu''enregistrer les modifications et la fen&#234;tre restera \n        ouverte. Le &quot;<b>Annuler</b>&quot; permet de fermer la fen&#234;tre et \n        d''ignorer les &#233;ventuelles modifications.&#160;\n      </li>\n    </ol>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:23:10', STRINGDECODE('7.1 G\u00e9n\u00e9ralit\u00e9'), '', '', 0, 0, 0, 0, 0),
(19, 7, 1, 720, NULL, '7.2 Zone de texte', STRINGDECODE('<p>\n      Il existe plusieurs types de zone de texte&#160;: -\n    </p>\n    <p>\n      <i><b>champ simple d''une seule ligne</b></i>&#160;: c''est le cas par exemple \n      pour un titre et la longueur maximum est souvent limit&#233;e &#224; 255 \n      caract&#232;res.\n    </p>\n    <p>\n      <i><b>champ plus &#233;labor&#233; pouvant comporter plusieurs lignes&#160;</b></i>: \n      en g&#233;n&#233;ral la longueur de ce texte est limit&#233;e au maximum &#224; 2048 \n      caract&#232;res (environ une page d''un livre imprim&#233;).\n    </p>\n    <p>\n      <i><b>champ &#233;tendu</b></i>&#160;: c''est le cas des notes, description, \n      r&#233;sum&#233; et texte d''une sc&#232;ne. Dans ce cas, la longueur du texte est \n      limit&#233;e &#224; un maximum de 32768 caract&#232;res (plus de 20 pages d''un livre \n      imprim&#233;). Ce champ se pr&#233;sente sous la forme suivante (onglet &quot;R&#233;sum&#233;&quot; \n      de l''&#233;diteur de sc&#232;ne)&#160;:\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/7-2.png\" width=\"695\" height=\"707\">\n      \n    </p>\n    <p>\n      &#160;Comme nous avons configur&#233; toutes les options &quot;Texte format&#233;&quot; dans nos \n      &quot;Propri&#233;t&#233;s&quot;, nous disposons de fonctions &#233;tendues de mise en forme.\n    </p>\n    <p>\n      Le texte sera cod&#233; en HTML, le code utilis&#233; pour &#233;crire les pages web, \n      ce qui permettra de faire appel &#224; plusieurs fonctions de mise en forme \n      utilisables directement depuis la mini barre d''outils en haut. Si vous \n      survolez chaque outil avec la souris une bulle d''aide appara&#238;tra pour \n      vous rappeler la fonction qui est associ&#233;e.\n    </p>\n    <p>\n      En bas vous disposez de deux onglets. Celui s&#233;lectionn&#233; par d&#233;faut est \n      &quot;Edit&quot; qui vous montre votre texte tel qu''il sera finalement lors de \n      l''impression. Le second, &quot;HTML&quot;, permet de visualiser le codage avec les \n      balises HTML et de modifier &#233;ventuellement les &quot;tags&quot;.\n    </p>\n    <p>\n      Le nombre de caract&#232;res restant est rappel&#233; en bas &#224; droite, ainsi que \n      la longueur maximale autoris&#233;e et entre parenth&#232;ses le nombre de mots.\n    </p>\n    <p>\n      &#192; noter que dans l''exemple ci-dessus j''ai utilis&#233; une convention \n      typographique pour chaque r&#233;plique. Celles-ci sont introduites par un \n      double tiret et le nom du personnage est mis entre crochets. Il n''y a \n      aucune obligation &#224; utiliser cette convention.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:23:49', '7.2 Zone de texte', '', '', 0, 0, 0, 0, 0);           
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(21, 8, 1, 800, NULL, STRINGDECODE('8.1 Caract\u00e8res sp\u00e9ciaux'), STRINGDECODE('<p>\n      Vous aurez peut-&#234;tre besoin, parfois, d''ins&#233;rer dans votre texte un \n      caract&#232;re sp&#233;cial, comme le caract&#232;re &#169; du copyright. Il vous suffira \n      alors d''utiliser le bouton figurant en haut &#224; droite d''une fen&#234;tre de \n      dialogue. Le panneau suivant appara&#238;t&#160;:\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/8-1.png\" width=\"738\" height=\"472\">\n      \n    </p>\n    <p>\n      S&#233;lectionnez le caract&#232;re d&#233;sir&#233; puis cliquez sur le bouton &quot;Ins&#233;rer le \n      caract&#232;re&quot;. Celui-ci sera alors ins&#233;r&#233; dans la zone de saisie de votre \n      texte.&#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:25:30', STRINGDECODE('8.1 Caract\u00e8res sp\u00e9ciaux'), '', '', 0, 0, 0, 0, 0),
(22, 9, 1, 910, NULL, STRINGDECODE('9.1 Pr\u00e9sentation'), STRINGDECODE('<p>\n      Beaucoup d''auteurs, qu''ils soient professionnels ou amateurs, pr&#233;f&#232;rent \n      utiliser leur traitement de texte favori, et peut-&#234;tre que vous aussi. \n      Que ce soit Word ou LibreOffice, les traitements de texte actuels \n      offrent en particulier des outils de v&#233;rification bien plus puissants \n      que ceux qui existent dans oStorybook. La contrepartie n&#233;cessaire a donc \n      &#233;t&#233; de cr&#233;er des liens fonctionnels entre oStorybook et un logiciel de \n      traitement de texte. Tout naturellement, ce f&#251;t LibreOffice qui a &#233;t&#233; \n      choisi, mais si votre syst&#232;me est correctement configur&#233;, en particulier \n      concernant les associations de fichiers, le dispositif fonctionnera tr&#232;s \n      bien avec Word. Pour d''autres logiciels de traitement de texte il \n      conviendra de faire des essais.\n    </p>\n    <p>\n      Ce qui va suivre d&#233;crit les param&#232;tres n&#233;cessaires pour utiliser \n      conjointement oStorybook et LibreOffice.\n    </p>\n    <p>\n      Le lien fonctionnel qui sera mis en place consiste &#224; indiquer pour une \n      sc&#232;ne quel est le fichier &#224; associer. Ensuite, l''appel au traitement de \n      texte sera fait via les fonctions syst&#232;me qui permettent de lancer \n      automatiquement le logiciel via la nature du fichier cibl&#233;. Exemple : \n      dans la premi&#232;re sc&#232;ne de mon livre j''indique que le fichier associ&#233; est \n      situ&#233; dans le dossier &quot;Travail&quot; et porte le nom &quot;Ma premi&#232;re sc&#232;ne.odt&quot;. \n      Si je cr&#233;e &quot;manuellement&quot; ledit fichier, et que j''ouvre mon navigateur \n      de fichier, il me suffira d''aller dans mon dossier &quot;Travail&quot; puis \n      d''effectuer un double-clique sur le nom du fichier pour que LibreOffice \n      d&#233;marre en ouvrant automatiquement mon fichier. C''est ce que fait \n      oStorybook, avec quelques autres petites options en plus.\n    </p>'), 1, NULL, NULL, '', FALSE, '', NULL, '', NULL, NULL, STRINGDECODE('9.1 Pr\u00e9sentation'), '', '', 0, 0, 0, 0, 0),
(23, 9, 1, 920, NULL, STRINGDECODE('9.2 Param\u00e8tres globaux'), STRINGDECODE('<p>\n      La premi&#232;re chose &#224; faire sera d''indiquer globalement que mon livre sera \n      r&#233;dig&#233;, pour sa partie texte, avec LibreOffice. Nous avons d&#233;j&#224; vu cela \n      dans le chapitre &quot;6. Propri&#233;t&#233;s&quot;. Mais revenons en d&#233;tail sur les \n      diff&#233;rentes options. LibreOffice, comme les autres traitement de texte, \n      offre la possibilit&#233; de travailler avec des mod&#232;les de document. Vous \n      avez donc la possibilit&#233; d''indiquer le choix que vous faites du mod&#232;le &#224; \n      utiliser pour tout nouveau fichier &#224; cr&#233;er.\n    </p>\n    <p>\n      Avec l''option &quot;<b>aucun mod&#232;le (mod&#232;le standard)</b>&quot; \n      vous cr&#233;erez un fichier vide bas&#233; sur le mod&#232;le standard de LibreOffice.\n    </p>\n    <p>\n      Avec l''option &quot;<b>utiliser le mod&#232;le par d&#233;faut (avec macros)</b>&quot; \n      vous cr&#233;erez un fichier vide bas&#233; sur un mod&#232;le standard agr&#233;ment&#233; de \n      style particuliers adapt&#233;s &#224; l''&#233;criture ainsi que des macros qui \n      appelleront ces styles particuliers et des boutons de raccourci dans la \n      barre d''outils.\n    </p>\n    <p>\n      Avec l''option &quot;<b>utiliser le mod&#232;le simple (sans macros)</b>&quot; \n      vous cr&#233;erez un fichier vide comme avec le mod&#232;le avec macros dans \n      lequel lesdites macros seront supprim&#233;es.\n    </p>\n    <p>\n      Enfin avec l''option &quot;<b>utiliser un mod&#232;le personnel</b>&quot; vous \n      cr&#233;erez un fichier bas&#233; sur un mod&#232;le &#233;labor&#233; par vos soins. Attention \n      dans ce cas de bien choisir un fichier de type &quot;ODT&quot; et non un fichier \n      traditionnel de mod&#232;le de type &quot;OTT&quot;. En effet, le fichier cr&#233;&#233; par \n      oStorybook prend une copie du fichier mod&#232;le que vous choisissez en \n      changeant simplement le nom. Assurez vous aussi que votre fichier \n      personnel de mod&#232;le ne contient aucun texte.\n    </p>'), 1, NULL, NULL, '', FALSE, STRINGDECODE('/home/favdb/ext/oStorybook-doc/fr/Chapitre09-Sc\u00e8ne22.odt'), NULL, '', NULL, NULL, STRINGDECODE('9.2 Param\u00e8tres globaux'), '', '', 0, 0, 0, 0, 0);    
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(24, 9, 1, 930, NULL, STRINGDECODE('9.3 Param\u00e8tres de la sc\u00e8ne'), STRINGDECODE('<p>\n      Si vous avez bien configur&#233; votre ouvrage, comme pr&#233;c&#233;demment, un onglet \n      particulier &quot;<b>Param&#232;tres LibreOffice</b>&quot; appara&#238;t sous la \n      forme suivante dans l''&#233;diteur :\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/9-3.png\" width=\"695\" height=\"707\">\n      \n    </p>\n    <p>\n      <b>Fichier LibreOffice</b> :&#160;c''est ici que vous indiquerez le nom \n      complet du fichier &#224; lier. Le bouton &#224; droite permet d''utiliser un \n      s&#233;lecteur de fichier pour faciliter votre choix.\n    </p>\n    <p>\n      <b>Utiliser le fichier ODT par d&#233;faut </b>: au lieu de choisir un \n      fichier, en particulier parce que vous voulez en cr&#233;er un, ce bouton va \n      simplement renseigner le champ pr&#233;c&#233;dent avec un nom normalis&#233; selon la \n      forme suivante &quot;dossier/ChapitreCC-Sc&#232;neSS.odt&quot; o&#249; :\n    </p>\n    <ul>\n      <li>\n        <i><b>dossier</b></i> : est le nom complet du dossier dans lequel vous \n        avez cr&#233;&#233; le fichier oStorybook sur lequel vous travaillez.\n      </li>\n      <li>\n        <i><b>CC</b></i> : est le num&#233;ro du chapitre.\n      </li>\n      <li>\n        <i><b>SS</b></i> : est le num&#233;ro de la sc&#232;ne.\n      </li>\n    </ul>\n    <p>\n      <u>Exemple</u> : la premi&#232;re sc&#232;ne du premier acte du &quot;M&#233;decin malgr&#233; \n      lui&quot;, dont le fichier oStorybook est enregistr&#233; dans mon dossier \n      personnel, sous-dossier &quot;Livres&quot;, sous-dossier &quot;Moli&#232;re&quot;, sous-dossier \n      &quot;M&#233;decinMalgr&#233;Lui&quot;, portera, sous Linux, le nom\n    </p>\n    <pre>    /home/favdb/Livres/Moli&#232;re/M&#233;decinMalgr&#233;Lui/Chapitre01-Sc&#232;ne01.odt\n  </pre>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:33:23', STRINGDECODE('9.3 Param\u00e8tres de la sc\u00e8ne'), '', '', 0, 0, 0, 0, 0),
(25, 10, 1, 1010, NULL, '10.1 Introduction', STRINGDECODE('<p>\n      Vous pouvez &#224; tout instant prendre des notes, exactement comme avec un \n      carnet papier, mais sous une forme &#233;lectronique. Pour &#231;a, vous disposez \n      &#224; chaque instant de la petite ampoule, g&#233;n&#233;ralement situ&#233;e en haut &#224; \n      droite, qui vous permettra d''ouvrir une fen&#234;tre de dialogue dans \n      laquelle vous saisirez votre texte. Par la suite, vous pourrez, via la \n      table des Id&#233;es, en g&#233;rer l''&#233;volution, et m&#234;me en modifier ce texte.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '10.1 Introduction', '', '', 0, 0, 0, 0, 0),
(26, 10, 1, 1020, NULL, STRINGDECODE('10.2 D\u00e9tail'), STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/10-2.png\" width=\"539\" height=\"707\">\n      &#160;\n    </p>\n    <p>\n      <b>Statut</b> : vous pouvez indiquer l''&#233;tat affect&#233; &#224; l''id&#233;e parmi les \n      choix suivants:\n    </p>\n    <ul>\n      <li>\n        non commenc&#233; : c''est juste au moment o&#249; vous enregistrez votre id&#233;e.\n      </li>\n      <li>\n        commenc&#233; : vous avez commenc&#233; &#224; donner du corps &#224; votre id&#233;e.\n      </li>\n      <li>\n        termin&#233;e : vous avez termin&#233; le travail associ&#233; &#224; cette id&#233;e.\n      </li>\n      <li>\n        abandonn&#233; : apr&#232;s r&#233;flexion vous d&#233;cidez d''abandonner cette id&#233;e.\n      </li>\n    </ul>\n    <p>\n      <b>Cat&#233;gorie</b> : vous pouvez associer une cat&#233;gorie &#224; chacune de \n      vos id&#233;es. Pour cr&#233;er une cat&#233;gorie, il suffit de renseigner cette \n      rubrique. Si des cat&#233;gories d''id&#233;e existent d&#233;j&#224; et que vous voulez \n      associer une id&#233;e &#224; l''une d''entre elles, faites d&#233;rouler la liste et \n      s&#233;lectionnez-la.\n    </p>\n    <p>\n      <b>Notes</b> : c''est la zone de texte avanc&#233;e dans laquelle vous pouvez \n      saisir votre id&#233;e.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:33:58', STRINGDECODE('10.2 D\u00e9tail'), '', '', 0, 0, 0, 0, 0);   
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(27, 11, 1, 1110, NULL, '11.1 Introduction', STRINGDECODE('<p>\n      L''utilisation de oStorybook n''est pas une fin en soi. Comme tout travail \n      de r&#233;daction il est destin&#233; &#224; autre chose qu''&#224; sa satisfaction \n      personnelle. Un roman, une pi&#232;ce de th&#233;&#226;tre, un m&#233;moire universitaire, \n      ont comme finalit&#233; d''&#234;tre publi&#233;s. Par exemple, si vous avez l''habitude \n      de travailler exclusivement avec votre traitement de texte, la finalit&#233; \n      sera au moins d''imprimer votre travail. Pour un livre le but ultime sera \n      d''envoyer votre ouvrage &#224; la publication.\n    </p>\n    <p>\n      oStorybook fait le choix de n''utiliser que le support &#233;lectronique. Pour \n      ce faire, il est donc inutile de chercher une fonction impression, elle \n      n''existe pas. En revanche plusieurs exportations sont disponibles :\n    </p>\n    <ul>\n      <li>\n        l''exportation de la base de donn&#233;es, partielle ou totale.\n      </li>\n      <li>\n        l''exportation du livre &#224; publier, partielle ou totale, sans les notes \n        et autres composantes annexes.\n      </li>\n    </ul>\n    <p>\n      Et ce dans diff&#233;rents formats :\n    </p>\n    <ul>\n      <li>\n        <b>csv</b> : c''est un fichier de type texte tr&#232;s souvent employ&#233; pour \n        pouvoir int&#233;grer les donn&#233;es dans un tableur.\n      </li>\n      <li>\n        <b>txt</b> : c''est le m&#234;me genre de format que le CSV, sans quelques \n        r&#232;gles de mise en forme.\n      </li>\n      <li>\n        <b>html</b> : c''est le format des pages web, qui offre pas mal de \n        possibilit&#233;s de mise en forme du texte (comme le gras, le soulign&#233;, \n        etc...).\n      </li>\n      <li>\n        <b>xml</b> : le XML est d&#233;riv&#233; du HTML, il permet de structurer les \n        informations selon des r&#232;gles tr&#232;s strictes.\n      </li>\n      <li>\n        <b>sql</b> : c''est un format de type texte qui peut &#234;tre interpr&#233;t&#233; \n        par un syst&#232;me de gestion de base de donn&#233;es (le fichier oStorybook \n        est une base de donn&#233;es).\n      </li>\n    </ul>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '11.1 Introduction', '', '', 0, 0, 0, 0, 0),
(28, 12, 1, 1201, NULL, '12.1 Introduction', STRINGDECODE('<p>\n      &#160;Chaque &#233;l&#233;ment que vous pr&#233;parez dans oStorybook est enregistr&#233; dans un \n      fichier qui est une base de donn&#233;es. Par convention le terme utilis&#233; \n      dans ce manuel pour d&#233;signer ces &#233;l&#233;ments est appel&#233; une composante, \n      mais s''agissant d''une base de donn&#233;es le v&#233;ritable terme &#224; utiliser \n      serait &quot;objet&quot;. Or il se trouve que dans oStorybook vous pouvez d&#233;finir \n      des objets, c''est donc pour &#233;viter toute confusion que &quot;composante&quot; a \n      &#233;t&#233; choisi.\n    </p>\n    <p>\n      Ce qui suit dans ce chapitre est la description de chaque composante. \n      Ces descriptions comportent une &#233;num&#233;ration des diff&#233;rentes informations \n      sous la forme suivante :\n    </p>\n    <ul>\n      <li>\n        <b>Nom</b> : description sommaire de la donn&#233;e, type (longueur)\n      </li>\n    </ul>\n    <p>\n      <b><i>Type</i></b> : l''un parmi les suivants : nombre, date, lien \n      (interne), libell&#233;, texte, couleur\n    </p>\n    <p>\n      <b><i>Longueur</i></b> : longueur maximum de la donn&#233;e. Lorsqu''il s''agit \n      d''un nombre la longueur n''est pas indiqu&#233;e, La valeur est comprise entre \n      1 et 2<sup>31</sup>-1.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '12.1 Introduction', '', '', 0, 0, 0, 0, 0);
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(29, 13, 1, 1300, NULL, '13.0 Tables', STRINGDECODE('<p>\n      &#160;L''aspect g&#233;n&#233;ral des tableaux, ou tables, est tr&#232;s similaire d''une \n      composante &#224; l''autre, si ce n''est le contenu du tableau lui-m&#234;me. En \n      revanche, il convient de savoir quelques petites choses sur ces tableaux.\n    </p>\n    <ul>\n      <li>\n        <b>Trier</b> : il est possible de changer l''ordre de tri d''un tableau \n        en cliquant simplement sur le titre de la colonne. Un petit triangle \n        orient&#233; vers le haut (ordre croissant) ou vers le bas (ordre \n        d&#233;croissant), rappelle sur quelle colonne le tri se fait. Pour changer \n        l''ordre croissant/d&#233;croissant, cliquez &#224; nouveau sur le titre de la \n        colonne.\n      </li>\n      <li>\n        <b>Organiser</b> : on peut simplement d&#233;placer une colonne, il faut \n        effectuer une op&#233;ration glisser/d&#233;poser sur le titre de la colonne.\n      </li>\n      <li>\n        <b>Afficher</b> : pour solliciter l''affichage, ou non, d''une colonne, \n        cliquez sur l''ic&#244;ne situ&#233; compl&#232;tement &#224; droite des titres de colonnes <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/13-0.png\" width=\"24\" height=\"28\">&#160;ce \n        qui fera appara&#238;tre un menu en fonction du tableau. Par exemple pour \n        les sc&#232;nes :\n      </li>\n    </ul>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/13-1.png\" width=\"306\" height=\"455\">\n      &#160;\n    </p>\n    <p>\n      Il suffit de cocher, ou de d&#233;cocher, l''information &#224; afficher, ou &#224; \n      cacher. Le &quot;compactage&quot; permet d''adapter automatiquement la taille des \n      colonnes au contenu.\n    </p>\n    <p>\n      <u>Notes</u> :\n    </p>\n    <p>\n      La taille et l''affichage des colonnes sont m&#233;moris&#233;e d''une session &#224; \n      l''autre, mais pas l''organisation (l''ordre des colonnes).\n    </p>\n    <p>\n      Certaines informations ne sont pas affich&#233;es sous leur forme textuelle, \n      mais gr&#226;ce &#224; l''ic&#244;ne qui lui est associ&#233;e. C''est le cas du statut des \n      sc&#232;nes par exemple. Dans ce cas, survolez quelques instants l''ic&#244;ne avec \n      la souris pour qu''une info-bulle vous en donne la signification.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 13:07:13', '13.0 Tables', '', '', 0, 0, 0, 0, 0),
(30, 17, 1, 1400, NULL, '14.0 Vues', STRINGDECODE('<p>\n      &#160;Les vues sont nombreuses, mais il en manque certainement. N''h&#233;sitez pas \n      &#224; en sugg&#233;rer de nouvelles.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:30:07', '14.0 Vues', '', '', 0, 0, 0, 0, 0),
(31, 18, 1, 1500, NULL, '15.0 Rapports', STRINGDECODE('<p>\n      Outre les vues d&#233;crites au chapitre pr&#233;c&#233;dent, l''int&#233;r&#234;t de oStorybook \n      r&#233;side dans le nombre de visualisations suppl&#233;mentaires sous forme de \n      rapports.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:30:52', '15.0 Rapports', '', '', 0, 0, 0, 0, 0),
(32, 11, 1, 1120, NULL, STRINGDECODE('11.2 Exporter les donn\u00e9es'), STRINGDECODE('<p>\n      On peut acc&#233;der &#224; la fonction d''exportation des donn&#233;es depuis :\n    </p>\n    <ul>\n      <li>\n        le menu &quot;<b>Fichier</b> - <b>Exporter</b> - <b>Autres formats</b>&quot;\n      </li>\n      <li>\n        l''outil d''exportation sur l''onglet d''une table\n      </li>\n    </ul>\n    <p>\n      Mais commen&#231;ons par explorer les options li&#233;es &#224; l''exportation. \n      Celles-ci sont accessibles depuis le menu &quot;<b>Fichier</b> - <b>Export</b> \n      - <b>Options</b>&quot; ou depuis le bouton &quot;<b>Modifier</b>&quot; dans \n      la fen&#234;tre de dialogue ouverte par le menu d''exportation en d''autres \n      formats.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, STRINGDECODE('11.2 Exporter les donn\u00e9es'), '', '', 0, 0, 0, 0, 0);             
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(33, 15, 1, 1600, NULL, STRINGDECODE('16.0 Pr\u00e9sentation finale'), STRINGDECODE('<p>\n      &#160;Si vous utilisez oStorybook comme un outil &#233;volu&#233; pour structurer votre \n      livre et que vous &quot;travaillez&quot; le texte avec un logiciel comme \n      LibreOffice, alors ce chapitre ne vous concerne pas.\n    </p>\n    <p>\n      En revanche si vous utilisez oStorybook pour saisir votre texte vous \n      pourriez avoir envie de donner un aspect plus personnel au r&#233;sultat &#224; \n      exporter. Vous avez d&#233;j&#224; abord&#233; le sujet dans le chapitre &quot;11.4 Faire \n      une exportation du livre&quot;, voici un peu plus en d&#233;tail ce que vous \n      pouvez faire avant, et apr&#232;s.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:31:35', STRINGDECODE('16.0 Pr\u00e9sentation finale'), '', '', 0, 0, 0, 0, 0),
(35, 11, 1, 1130, NULL, STRINGDECODE('11.3 Faire une exportation de donn\u00e9es'), STRINGDECODE('<p>\n      \n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, STRINGDECODE('11.3 Faire une exportation de donn\u00e9es'), '', '', 0, 0, 0, 0, 0),
(36, 11, 1, 1121, NULL, '11.2.1 Options "Export du texte"', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/11-2-1.png\" width=\"542\" height=\"350\">\n      &#160;\n    </p>\n    <p>\n      Le premier onglet &quot;<b>Export du texte</b>&quot; va vous permettre de \n      d&#233;terminer les options suivantes qui seront prises en compte lorsque \n      vous exporterez le texte de votre livre :\n    </p>\n    <ul>\n      <li>\n        <b>un seul gros fichier</b> : le texte sera export&#233; en un seul \n        fichier, qui peut s''av&#233;rer tr&#232;s gros en fonction de votre prose.\n      </li>\n      <li>\n        <b>un fichier par chapitre</b> : dans ce cas, un fichier sera cr&#233;&#233; \n        pour chaque chapitre de votre ouvrage.\n      </li>\n      <li>\n        <b>un fichier par sc&#232;ne</b> : dans ce cas, un fichier sera cr&#233;&#233; \n        pour chaque sc&#232;ne de votre ouvrage.\n      </li>\n    </ul>\n    <p>\n      Puis ce sont quelques options de mise en forme :\n    </p>\n    <ul>\n      <li>\n        <b>Exporter les num&#233;ros de chapitre</b> : en plus de son titre le \n        num&#233;ro que vous aurez indiqu&#233; sera export&#233;.\n      </li>\n      <li>\n        <b>Export des num&#233;ros de chapitre en chiffres romains</b> : si \n        vous avez s&#233;lectionn&#233; l''option de num&#233;rotation des chapitres, cette \n        option vous offre la possibilit&#233; d''utiliser les chiffres romains et \n        non les chiffres arabes.\n      </li>\n      <li>\n        <b>Export du titre des chapitres</b> : si vous ne voulez pas que \n        figure le titre du chapitre.\n      </li>\n      <li>\n        <b>Export des dates et lieux de chapitre</b> : dans ce cas, &#224; la suite \n        du titre du chapitre les dates et lieux o&#249; se d&#233;roule l''action seront \n        export&#233;s. Ceci peut &#234;tre utile pour un tirage d''&#233;preuve pour v&#233;rifier \n        la coh&#233;rence de l''ensemble.\n      </li>\n      <li>\n        <b>Exporter les titres des sc&#232;nes</b> : dans certains cas, par \n        exemple le pr&#233;sent manuel, on peut donner un sous-titre pour chaque \n        sc&#232;ne sans le saisir dans le texte lui-m&#234;me.\n      </li>\n      <li>\n        <b>Exporter didascalie</b> : dans ce cas, avant le texte de la sc&#232;ne, \n        sont &#233;nul&#233;r&#233;s les personnages, les lieux et le objets qui sont \n        utilis&#233;s. Cette indication est souvent utilis&#233;e pour la pr&#233;paration \n        d''une pi&#232;ce de th&#233;&#226;tre ou d''un film par exemple.\n      </li>\n      <li>\n        <b>S&#233;parateur de sc&#232;ne .oOo.</b> : une s&#233;paration \n        typographique sera ins&#233;r&#233;e &#224; l''issue de chaque sc&#232;ne.\n      </li>\n    </ul>\n    <p>\n      N''h&#233;sitez pas &#224; utiliser une combinaison de ces options pour obtenir le \n      r&#233;sultat souhait&#233;.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:34:52', '11.2.1 Options "Export du texte"', '', '', 0, 0, 0, 0, 0);  
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(37, 11, 1, 1122, NULL, '11.2.2 Options "CSV"', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/11-2-2.png\" width=\"542\" height=\"350\">\n      &#160;\n    </p>\n    <p>\n      Ce second onglet permet de d&#233;terminer les options pour l''exportation au \n      format &quot;Comma-separated values&quot; ou CSV. Il s''agit d''un format souvent \n      utilis&#233; par les tableurs (Calc avec LibreOffice, Excel avec MS Office). \n      C''est un format standard ne n&#233;cessitant aucun codage particulier du \n      contenu. Bien entendu, l''objectif de cet exportation est de pouvoir \n      ensuite importer les donn&#233;es dans un tableur. Les options sont:\n    </p>\n    <ul>\n      <li>\n        <b>entourer avec</b> : les donn&#233;es enregistr&#233;es dans un CSV peuvent \n        &#234;tre mises entre des apostrophes simples, des guillemets (ou double \n        apostrophe, d''o&#249; l''expression &quot;double guillemets&quot;). Dans certains cas, \n        on peut vouloir ne souhaiter aucune de ces deux options.\n      </li>\n      <li>\n        <b>s&#233;parer avec</b> : certains tableurs veulent que les donn&#233;es \n        soient s&#233;par&#233;es par une virgule, d''autres exigent que ce soient des \n        points-virgules.\n      </li>\n    </ul>\n    <p>\n      Pour plus d''informations sur le CSV, reportez-vous au tr&#232;s bon article <a href=\"https://fr.wikipedia.org/wiki/Comma-separated_values\">Wikip&#233;dia</a>, \n      vous pouvez aussi vous reportez &#224; la documentation d&#233;taill&#233;e de votre \n      logiciel tableur.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:35:09', '11.2.2 Options "CSV"', '', '', 0, 0, 0, 0, 0),
(38, 11, 1, 1123, NULL, '11.2.3 Options "TXT"', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/11-2-3.png\" width=\"542\" height=\"350\">\n      \n    </p>\n    <p>\n      Le format texte &quot;TXT&quot; est beaucoup moins exigeant que le format CSV. La \n      seule option vise &#224; indiquer quel s&#233;parateur doit &#234;tre utilis&#233; pour \n      s&#233;parer les donn&#233;es les unes des autres. Habituellement on utilise le \n      caract&#232;re de tabulation (code h&#233;xad&#233;cimal 0x09). Mais vous pouvez aussi \n      d&#233;cider de n''utiliser aucun s&#233;parateur. Dans ce cas le fichier r&#233;sultat \n      sera assez difficile &#224; exploiter. L''absence de s&#233;parateur est utilis&#233;e \n      en g&#233;n&#233;ral lorsque les colonnes de donn&#233;es ont une taille fixe, ce qui \n      n''est pas le cas avec oStorybook.&#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:35:25', '11.2.3 Options "TXT"', '', '', 0, 0, 0, 0, 0),
(39, 11, 1, 1124, NULL, '11.2.4 Options "HTML"', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/11-2-4.png\" width=\"542\" height=\"350\">\n      \n    </p>\n    <p>\n      Le format traditionnel du Web, le HTML, sera certainement celui que vous \n      pr&#233;f&#233;rerez, avec le XML que nous verrons plus loin. Le HTML g&#233;n&#233;r&#233; par \n      oStorybook est tout &#224; fait conforme au standard. L''option &#224; configurer \n      &#233;ventuellement est l''utilisation d''un CSS personnel. Comme cette option \n      n''est nullement obligatoire, et surtout si vous ne connaissez rien au \n      CSS, vous pouvez tranquillement l''ignorer. Si vous d&#233;cidez de \n      l''utiliser, il vous faudra indiquer le nom du fichier CSS &#224; utiliser, \n      voir le chapitre &quot;16. Donner du style &#224; votre document final&quot;.\n    </p>\n    <p>\n      L''option <b>Navigation</b> permet d''ajouter une barre de navigation au \n      bas de chaque page HTML, avec l''option suppl&#233;mentaire que cette barre \n      n''utilise que des images.\n    </p>\n    <p>\n      L''option d''insertion d''un saut de page permettra, lors d''une reprise \n      sous LibreOffice par exemple, de forcer un saut de page &#224; chaque \n      chapitre.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:35:45', '11.2.4 Options "HTML"', '', '', 0, 0, 0, 0, 0);        
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(40, 16, 1, 1810, NULL, '18.1 Chapitre et sous chapitre', STRINGDECODE('<p>\n      Si votre projet consiste &#224; r&#233;aliser un document comme le pr&#233;sent manuel, \n      vous pouvez utiliser une fonction particuli&#232;re de mise en forme \n      automatique des chapitres et sous-chapitres. En effet, en combinant \n      plusieurs options vous pouvez g&#233;n&#233;rer automatiquement une mise en forme \n      diff&#233;renci&#233;e en fonction des titres de sc&#232;nes. Il suffit de pr&#233;ciser \n      dans ce titre le num&#233;ro hi&#233;rarchique en utilisant un point s&#233;parateur \n      pour les diff&#233;rents niveaux. Par exemple, cette &quot;sc&#232;ne&quot; porte le titre \n      &quot;17.1 Chapitre et sous chapitre&quot;, la pr&#233;sence d''un point indique que \n      c''est un sous-chapitre de niveau 2. Autre exemple, le titre &quot;11.2.2 \n      Options &quot;CSV&quot;&quot; correspond &#224; un titre de niveau 3.\n    </p>\n    <p>\n      Le niveau 6 est le maximum possible.\n    </p>\n    <p>\n      Bien entendu, pour profiter de cette fonction il vous faudra valider \n      l''option &quot;Exporter le titre des sc&#232;nes&quot;, voir le chapitre &quot;11.2.1 \n      Options &quot;Export du texte&quot;&quot;.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '18.1 Chapitre et sous chapitre', '', '', 0, 0, 0, 0, 0),
(41, 16, 1, 1820, NULL, STRINGDECODE('18.2 G\u00e9rer des images'), STRINGDECODE('<p>\n  Vous voudrez peut-&#234;tre ins&#233;rer des images dans votre texte, rien de plus \n  facile. Commencez par cr&#233;er un sous dossier &quot;images&quot; dans votre dossier \n  de travail. Vous r&#233;unirez ainsi dans un m&#234;me endroit toutes les images \n  que vous ins&#233;rerez. Copiez dans ce sous-dossier l''image souhait&#233;e (ou \n  les images). Puis dans la saisie de votre texte vous n''aurez plus qu''&#224; \n  utiliser l''outil &quot;image&quot; disponible dans la barre d''outils.\n</p>\n<p>\n  <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/18-2.png\" width=\"656\" height=\"668\">\n  &#160;\n</p>\n<p>\n  <b>Remarque importante</b> : pour des raisons techniques les fichiers \n  d''image ne peuvent &#234;tre r&#233;f&#233;renc&#233;s que par leur adresse absolue. Pour \n  cette raison, le lien enregistr&#233; ne sera pas interpr&#233;t&#233; correctement si \n  vous copiez votre fichier oStorybook vers un autre emplacement. \n  Toutefois, lors de l''export du texte les liens sont actualis&#233;s en liens \n  relatifs, pour bien comprendre voici un exemple : dans ce texte le lien \n  vers la capture d''&#233;cran est le suivant:\n</p>\n<pre>    file:///home/favdb/ext/oStorybook/code/doc/fr/manual/img/3-2.png</pre>\n<p>\n  Si je copie le fichier vers un autre emplacement, disons &quot;favdb/travail&quot; \n  alors le lien sera rompu. En revanche lors de l''exportation du texte le \n  lien sera transform&#233; en:\n</p>\n<pre>    img/3-2.png</pre>\n<p>\n  Votre navigateur Internet sera ensuite en mesure de faire le lien vers \n  l''image, &#224; condition bien entendu que vous ayez copi&#233; le sous-dossier &quot;<b>img</b>&quot; \n  au m&#234;me endroit.\n</p>\n<p>\n  En revanche, lorsqu''on enregistre le fichier oStorybook via le menu \n  &quot;Fichier - Enregistrer sous&quot;, les modifications de chemin d''acc&#232;s sont \n  automatiquement prises en compte.\n</p>\n<p>\n  Ainsi, si vous voulez faire une sauvegarde de votre fichier oStorybook \n  il est conseill&#233; de proc&#233;der via le menu &quot;Fichier - Enregistrer sous&quot; \n  plut&#244;t qu''&#224; une simple copie de fichier. Il est &#224; noter que dans ce cas \n  le titre enregistr&#233; dans les Pr&#233;f&#233;rences sera modifi&#233;.\n</p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:49:25', STRINGDECODE('18.2 G\u00e9rer des images'), '', '', 0, 0, 0, 0, 0);           
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(42, 11, 1, 1140, NULL, '11.4 Exporter et publier le livre', STRINGDECODE('<p>\n      L''exportation du livre, du texte donc, se fait via le menu &quot;<b>Fichier \n      - Exporter</b>&quot;. Ce menu offre la possibilit&#233; directe &quot;<b>Livre \n      en HTML</b>&quot; qui est le format adopt&#233; pour oStorybook. En effet, ce \n      format vous permettra tr&#232;s simplement :\n    </p>\n    <ul>\n      <li>\n        de mettre en ligne votre ouvrage au format natif pour le Web.\n      </li>\n      <li>\n        de reprendre votre livre dans un traitement de texte traditionnel, \n        comme LibreOffice.\n      </li>\n      <li>\n        de le convertir dans un autre format (PDF ou eBook), voir le chapitre \n        &quot;17.3 Produire un PDF&quot;.\n      </li>\n    </ul>\n    <p>\n      Si vous avez pris la pr&#233;caution de passer par la case &quot;<b>Fichier \n      - Exporter - Options</b>&quot;, vous pouvez d&#233;cider si le fichier produit est \n      unique ou s''il doit &#234;tre structur&#233; en plusieurs fichiers.\n    </p>\n    <p>\n      Finalement, apr&#232;s avoir d&#233;velopp&#233; votre r&#233;cit, vous serez pr&#234;t &#224; \n      restituer votre ouvrage &#224; destination de vos lecteurs. Comment proc&#233;der? \n      Le plus simple et le plus basique est de produire un fichier, ou un \n      ensemble de fichiers, au format HTML. Vous aurez ainsi une base \n      exploitable directement pour votre publication, mais ensuite? Voici \n      quelques exemples qui vous permettront de finaliser la publication de \n      l''ouvrage.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '11.4 Exporter et publier le livre', '', '', 0, 0, 0, 0, 0),
(43, 11, 1, 1131, NULL, '11.3.1 Depuis l''onglet', STRINGDECODE('<p>\n      Pour exporter des donn&#233;es il y a plusieurs mani&#232;res de proc&#233;der. Tout \n      d''abord via la vue en tableau, dans l''onglet, &#224; c&#244;t&#233; du titre, il y a \n      l''outil d''exportation :\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/11-3-1.png\" width=\"169\" height=\"73\">\n      &#160;\n    </p>\n    <p>\n      Dans cet exemple le fichier &quot;Sc&#232;nes.xml&quot; a &#233;t&#233; cr&#233;&#233;, puisque c''est le \n      format XML qui est utilis&#233; pour cette exportation &quot;directe&quot;.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 18:12:13', '11.3.1 Depuis l''onglet', '', '', 0, 0, 0, 0, 0),
(44, 11, 1, 1132, NULL, '11.3.2 Depuis le menu', STRINGDECODE('<p>\n      La seconde possibilit&#233; est de passer par le menu &quot;<b>Fichier</b> \n      - <b>Exporter</b> - <b>Autre format</b>&quot;. Dans ce cas la fen&#234;tre de \n      dialogue suivante s''affiche :\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/11-3-2.png\" width=\"693\" height=\"445\">\n      \n    </p>\n    <p>\n      <b>R&#233;pertoire de l''export</b> : c''est le dossier dans lequel sera \n      cr&#233;&#233; le fichier export&#233;. Le bouton &#160;&quot;<b>choisir \n      un r&#233;pertoire</b>&quot; vous permet de passer par un s&#233;lecteur de \n      fichier. Dans ce cas le chemin d''acc&#232;s complet au dossier choisi sera \n      retranscrit dans la zone de saisie.\n    </p>\n    <p>\n      <b>Choisir le type d''export</b> : permet de s&#233;lectionner le type de \n      donn&#233;es &#224; exporter, vous en saurez plus en d&#233;roulant la liste de choix.\n    </p>\n    <p>\n      <b>Format de l''export</b> : vous permet de s&#233;lectionner le format du \n      fichier &#224; cr&#233;er.\n    </p>\n    <p>\n      Dans la partie centrale de la fen&#234;tre de dialogue les options actives \n      sont r&#233;capitul&#233;es. Pour modifier l''une de ces options appuyez sur le \n      bouton &quot;<b>Modifier</b>&quot;, vous retrouverez alors la fen&#234;tre de \n      dialogue de s&#233;lection des options d&#233;crite au chapitre 11.2.\n    </p>\n    <p>\n      Pour cet exportation via le menu vous serez inform&#233; de la fin de \n      l''op&#233;ration.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:52:06', '11.3.2 Depuis le menu', '', '', 0, 0, 0, 0, 0); 
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(45, 16, 1, 1830, NULL, '18.3 Produire un PDF ou un eBook', STRINGDECODE('<p>\n      Jusqu''&#224; la version 4.10.04 oStorybook permettait de produire un fichier \n      PDF de votre livre. Mais il existait une impossibilit&#233;, celle d''exporter \n      au format PDF un livre dans lequel on aurait utilis&#233; des images. La \n      d&#233;cision a donc &#233;t&#233; prise de supprimer ce format d''exportation en \n      attendant de trouver une solution de contournement. De toute fa&#231;on il \n      est tr&#232;s facile de produire un PDF &#224; partir de oStorybook. Suivez les \n      indications suivantes:\n    </p>\n    <ol>\n      <li>\n        v&#233;rifiez que les options de l''exportation pour le format HTML \n        produiront bien un fichier unique,\n      </li>\n      <li>\n        faites l''exportation de votre livre via le menu &quot;<b>Fichier - \n        Export - Livre en HTML</b>&quot;.\n      </li>\n      <li>\n        lancez votre logiciel de traitement de texte, par exemple LibreOffice.\n      </li>\n      <li>\n        dans le traitement de texte, ouvrez le fichier qui a &#233;t&#233; cr&#233;&#233; &#224; \n        l''&#233;tape 2.\n      </li>\n      <li>\n        pour ce qui est de LibreOffice, cliquez sur le menu &quot;Fichier - \n        Exporter au format PDF&quot; et suivez les indications.\n      </li>\n    </ol>\n    <p>\n      C''est aussi simple que &#231;&#224;. D''ailleurs, gr&#226;ce &#224; l''extension &quot;Filtres \n      d''exportation Writer2xhtml&quot;, &#224; installer dans LibreOffice, vous pourrez, \n      tout aussi simplement, cr&#233;er un fichier eBook.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '18.3 Produire un PDF ou un eBook', '', '', 0, 0, 0, 0, 0),
(46, 12, 1, 1202, NULL, '12.2 Fil', STRINGDECODE('<p>\n      Le fil est la trame de l''histoire d''un certain point de vue. Il s''agit \n      d''un &#233;l&#233;ment qui unit des parties distinctes du r&#233;cit selon un aspect \n      particulier. Par exemple on peut d&#233;crire un sc&#232;ne plusieurs fois en \n      changeant de point de vue.\n    </p>\n    <ul>\n      <li>\n        <b>Nom</b> : le nom du fil, libell&#233; (255)\n      </li>\n      <li>\n        <b>Abr&#233;viation</b> : indication libre , libell&#233; (255)\n      </li>\n      <li>\n        <b>Couleur</b> : code de la couleur associ&#233;e , couleur\n      </li>\n      <li>\n        <b>Ordre</b> : ordre d''apparition , nombre\n      </li>\n    </ul>\n    <p>\n      Il existe toujours un fil par d&#233;faut qu''il est impossible de supprimer. \n      Il est possible d''avoir autant de fils qu''on le souhaite. Une sc&#232;ne peut \n      &#234;tre rattach&#233;e &#224; plusieurs fils.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '12.2 Fil', '', '', 0, 0, 0, 0, 0),
(47, 12, 1, 1203, NULL, '12.3 Partie', STRINGDECODE('<p>\n      Si l''ouvrage est important le mieux sera de le diviser en plusieurs \n      parties. Ainsi vous pourrez travailler plus simplement sur chacune \n      d''elles.\n    </p>\n    <ul>\n      <li>\n        <b>num&#233;ro</b> : num&#233;ro de la partie ce qui permet de l''ordonner \n        par rapport aux autres, nombre\n      </li>\n      <li>\n        <b>nom</b> : le nom de la partie, libell&#233; (255)\n      </li>\n      <li>\n        <b>lien</b> : dans le cas d''une structure en parties et sous-parties, \n        lien\n      </li>\n      <li>\n        <b>date de cr&#233;ation</b> : date de cr&#233;ation de la partie, date\n      </li>\n      <li>\n        <b>date objectif</b> : date objectif de r&#233;alisation, date\n      </li>\n      <li>\n        <b>objectif de taille</b> : objectif fix&#233; en terme de taille en nombre \n        de caract&#232;res, nombre\n      </li>\n      <li>\n        <b>notes</b> : texte (32768)\n      </li>\n    </ul>\n    <p>\n      Vous devez avoir au moins une partie dans votre fichier oStorybook. Le \n      nombre de parties n''est pas limit&#233;. En principe vous rattachez toujours \n      un chapitre &#224; une partie, et une seule.\n    </p>\n    <p>\n      La date de cr&#233;ation, la date objectif et l''objectif de taille vous \n      permettront de suivre l''&#233;volution de votre travail, voir le chapitre \n      &quot;14.8 Planning&quot;.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '12.3 Partie', '', '', 0, 0, 0, 0, 0);   
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(48, 17, 1, 1408, NULL, '14.8 Planning', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-8.png\" width=\"938\" height=\"742\">\n      \n    </p>\n    <p>\n      La vue Planning est destin&#233;e au suivi du travail d''&#233;criture. Pour \n      qu''elle soit pleinement fonctionnelle, vous devrez utiliser les \n      informations de suivi dans les parties ou chapitres (date objectif et \n      taille vis&#233;e). Vous disposez de trois onglets, en bas de la vue :\n    </p>\n    <ul>\n      <li>\n        r&#233;alisation globale : qui donne sous forme synth&#233;tique la r&#233;partition \n        des r&#233;alisations selon le statut des sc&#232;nes.\n      </li>\n      <li>\n        chronologie : qui donne la chronologie de la r&#233;alisation, combin&#233;e au \n        statut des sc&#232;nes.\n      </li>\n      <li>\n        avancement de l''&#233;criture : qui donne le d&#233;tail de l''avancement \n        jusqu''au niveau de la sc&#232;ne.\n      </li>\n    </ul>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-20 15:00:15', '14.8 Planning', '', '', 0, 0, 0, 0, 0),
(49, 12, 1, 1204, NULL, '12.4 Chapitre', STRINGDECODE('<p>\n      Le chapitre est l''&#233;l&#233;ment de regroupement logique des sc&#232;nes.\n    </p>\n    <ul>\n      <li>\n        <b>partie</b> : partie &#224; laquelle le chapitre est li&#233;, lien\n      </li>\n      <li>\n        <b>num&#233;ro</b> : num&#233;ro du chapitre, nombre\n      </li>\n      <li>\n        <b>titre</b> : titre du chapitre, libell&#233; (255)\n      </li>\n      <li>\n        <b>date de cr&#233;ation</b>, <b>date objectif</b>, <b>objectif de \n        taille</b> : informations n&#233;cessaires au suivi, voir le chapitre &quot;14.8 \n        Planning&quot;\n      </li>\n      <li>\n        <b>description</b> : description ou r&#233;sum&#233; du chapitre, texte (32768)\n      </li>\n    </ul>\n    <p>\n      Dans la fen&#234;tre &#233;diteur de Chapitre, l''information suivante se trouve \n      dans un onglet d&#233;di&#233; :\n    </p>\n    <ul>\n      <li>\n        <b>notes</b> : texte (32768)\n      </li>\n    </ul>\n    <p>\n      Le nombre de chapitres n''est pas limit&#233;. En cas de r&#233;organisation des \n      chapitres le num&#233;ro est modifi&#233; automatiquement.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '12.4 Chapitre', '', '', 0, 0, 0, 0, 0),
(50, 12, 1, 1205, NULL, STRINGDECODE('12.5 Sc\u00e8ne'), STRINGDECODE('<p>\n      C''est la composante de base du livre.\n    </p>\n    <ul>\n      <li>\n        <b>titre</b> : titre de la sc&#232;ne, libell&#233; (2048)\n      </li>\n      <li>\n        <b>fil</b> : fil principal de rattachement de la sc&#232;ne, lien\n      </li>\n      <li>\n        <b>chapitre</b> : chapitre de rattachement de la sc&#232;ne, lien\n      </li>\n      <li>\n        <b>num&#233;ro</b> : num&#233;ro de la sc&#232;ne, nombre\n      </li>\n      <li>\n        <b>statut</b> : situation de la sc&#232;ne dans le processus &#233;criture, \n        l''une des valeurs suivantes:\n\n        <ul>\n          <li>\n            les grandes lignes\n          </li>\n          <li>\n            brouillon\n          </li>\n          <li>\n            1&#232;re &#233;dition\n          </li>\n          <li>\n            2&#232;me &#233;dition\n          </li>\n          <li>\n            fait\n          </li>\n        </ul>\n      </li>\n      <li>\n        informations de datation de la sc&#232;ne compos&#233;es des options :\n\n        <ul>\n          <li>\n            sans date : aucune date assign&#233;e\n          </li>\n          <li>\n            date fixe : date absolue de la sc&#232;ne\n          </li>\n          <li>\n            relative : date relative avec indication du d&#233;calage et de la \n            sc&#232;ne de r&#233;f&#233;rence\n          </li>\n        </ul>\n      </li>\n      <li>\n        <b>fils</b> : autres fils &#233;ventuels auxquels la sc&#232;ne est li&#233;e\n      </li>\n    </ul>\n    <p>\n      Dans la fen&#234;tre de dialogue d''une sc&#232;ne (cr&#233;ation ou modification) les \n      informations suivantes sont dans des onglets d&#233;di&#233;s:\n    </p>\n    <ul>\n      <li>\n        <b>r&#233;sum&#233;</b> : r&#233;sum&#233; ou texte de la sc&#232;ne, texte (32768)\n      </li>\n      <li>\n        <b>personnages</b> : personnages apparaissant dans la sc&#232;ne, liens\n      </li>\n      <li>\n        <b>lieux</b> : lieux o&#249; se d&#233;roule la sc&#232;ne, liens\n      </li>\n      <li>\n        <b>objets</b> : objets sp&#233;ciaux utilis&#233;s dans la sc&#232;ne, liens\n      </li>\n      <li>\n        <b>notes</b> : texte (32768)\n      </li>\n    </ul>\n    <p>\n      Pour composer le titre d''une sc&#232;ne voyez les trucs et astuces, en \n      particulier le chapitre &quot;17.1 Chapitre et sous chapitre&quot;, et pour la \n      datation de la sc&#232;ne voyez le chapitre &quot;17.4 Chronologie&quot;.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, STRINGDECODE('12.5 Sc\u00e8ne'), '', '', 0, 0, 0, 0, 0);               
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(51, 12, 1, 1206, NULL, '12.6 Personnage', STRINGDECODE('<ul>\n      <li>\n        <b>pr&#233;nom/surnom</b> : pr&#233;nom du personnage ou son surnom, \n        libell&#233; (255)\n      </li>\n      <li>\n        <b>nom</b> : nom du personnage, libell&#233; (255)\n      </li>\n      <li>\n        <b>abr&#233;viation</b> : court libell&#233; d&#233;signant le personnage, \n        libell&#233; (255)\n      </li>\n      <li>\n        <b>genre</b> : genre du personnage, lien\n      </li>\n      <li>\n        <b>cat&#233;gorie</b> : cat&#233;gorie du personnage, lien\n      </li>\n      <li>\n        <b>date de naissance</b>\n      </li>\n      <li>\n        <b>date de d&#233;c&#232;s</b>\n      </li>\n      <li>\n        <b>profession</b> : profession ou occupation du personnage, libell&#233; \n        (255)\n      </li>\n      <li>\n        <b>couleur</b> : code couleur repr&#233;sentant le personnage, couleur\n      </li>\n    </ul>\n    <p>\n      Dans la fen&#234;tre de dialogue Personnage les informations suivantes sont \n      dans des onglets d&#233;di&#233;s :\n    </p>\n    <ul>\n      <li>\n        <b>attributs</b> : attributs remarquables du personnage, lien\n      </li>\n      <li>\n        <b>description</b> : description du personnage, texte (32768)\n      </li>\n      <li>\n        <b>notes</b> : texte (32768)\n      </li>\n    </ul>\n    <p>\n      <u>Note</u> : la repr&#233;sentation graphique du personnage utilise l''ic&#244;ne \n      associ&#233;e au genre.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '12.6 Personnage', '', '', 0, 0, 0, 0, 0),
(52, 12, 1, 1211, NULL, '12.11 Objet', STRINGDECODE('<p>\n      Permet de d&#233;finir des objets sp&#233;cifiques qui font partie de l''action. \n      Dans le cas d''une pi&#232;ce de th&#233;&#226;tre par exemple cette composante sera \n      utile pour &#233;tablir la liste des accessoires.\n    </p>\n    <ul>\n      <li>\n        <b>nom</b> : d&#233;signation de l''objet, libell&#233; (255)\n      </li>\n      <li>\n        <b>fichier ic&#244;ne</b> : pour personnaliser l''apparence de l''objet, \n        libell&#233; (255)\n      </li>\n      <li>\n        <b>cat&#233;gorie</b> : cat&#233;gorie &#233;ventuelle de l''objet, libell&#233; (255)\n      </li>\n      <li>\n        <b>description</b> : texte (32768)\n      </li>\n    </ul>\n    <p>\n      Dans la fen&#234;tre de dialogue Objet, l''information suivante est dans un \n      onglet d&#233;di&#233; :\n    </p>\n    <ul>\n      <li>\n        <b>notes</b> : texte (32768)\n      </li>\n    </ul>\n    <p>\n      <u>Note:</u>\n    </p>\n    <p>\n      La cat&#233;gorie est un libell&#233;, mais il se pr&#233;sente sous la forme d''une \n      liste d&#233;roulante de mani&#232;re &#224; pouvoir s&#233;lectionner une cat&#233;gorie d&#233;j&#224; \n      existante. Pour cr&#233;er une nouvelle cat&#233;gorie il suffit simplement de \n      saisir son libell&#233;.\n    </p>\n    <p>\n      Le fichier d''ic&#244;ne doit &#234;tre au format PNG et avoir une taille de 64x64. \n      Il est fortement recommand&#233; de regrouper toutes les images et/ou les \n      ic&#244;nes dans un sous-dossier d&#233;di&#233; situ&#233; dans le dossier o&#249; est \n      enregistr&#233; votre livre.\n    </p>\n    <p>\n      L''<b>assignation d''objet</b> est un autre moyen de lier un objet &#224; un \n      personnage. Cette assignation est strictement limit&#233;e &#224; un objet - \n      personnage - lieu.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '12.11 Objet', '', '', 0, 0, 0, 0, 0),
(53, 12, 1, 1210, NULL, '12.10 Lieu', STRINGDECODE('<p>\n      La d&#233;finition d''un lieu permet de d&#233;crire un lieu o&#249; se d&#233;roule une \n      action.\n    </p>\n    <ul>\n      <li>\n        <b>nom</b> : d&#233;signation du lieu, libell&#233; (255)\n      </li>\n      <li>\n        <b>adresse</b> : c''est l''adresse du lieu, libell&#233; (255)\n      </li>\n      <li>\n        <b>ville</b> : la ville o&#249; se situe l''adresse, libell&#233; (255)\n      </li>\n      <li>\n        <b>pays</b> : le pays o&#249; se situe la ville, libell&#233; (255)\n      </li>\n      <li>\n        <b>site</b> : le nom d''un autre lieu de rattachement, libell&#233; (255)\n      </li>\n      <li>\n        <b>altitude</b> : altitude du lieu, nombre\n      </li>\n      <li>\n        <b>description</b> : texte (32768)\n      </li>\n    </ul>\n    <p>\n      Dans la fen&#234;tre de dialogue Lieu, l''information suivante est dans un \n      onglet d&#233;di&#233; :\n    </p>\n    <ul>\n      <li>\n        <b>notes</b> : texte (32768)\n      </li>\n    </ul>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '12.10 Lieu', '', '', 0, 0, 0, 0, 0);    
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(54, 12, 1, 1209, NULL, '12.9 Relation', STRINGDECODE('<p>\n      La composante Relation permet de lier logiquement des personnages, des \n      lieux, des objets, entre eux. Initialement, la Relation &#233;tait destin&#233;e &#224; \n      &#233;tablir un lien entre deux personnages, d''o&#249; les informations Personnage \n      1 et Personnage 2, puis cette composante a &#233;t&#233; &#233;tendue pour lier \n      d''autres composantes.\n    </p>\n    <ul>\n      <li>\n        <b>description</b> : description de la relation, libell&#233; (255)\n      </li>\n      <li>\n        <b>personnage</b> 1 : personnage &#224; partir duquel se construit la \n        relation, lien\n      </li>\n      <li>\n        <b>personnage</b> 2 : personnage objet de la relation, lien\n      </li>\n      <li>\n        port&#233;e de la relation compos&#233;e des &#233;l&#233;ments :\n\n        <ul>\n          <li>\n            <b>sc&#232;ne de d&#233;but</b> : sc&#232;ne &#224; partir de laquelle la \n            relation est &#233;tablie, lien\n          </li>\n          <li>\n            <b>sc&#232;ne de fin</b> : sc&#232;ne jusqu''&#224; laquelle la relation est \n            &#233;tablie, lien\n          </li>\n        </ul>\n      </li>\n    </ul>\n    <p>\n      Dans la fen&#234;tre de dialogue Relation, les informations suivantes sont \n      dans des onglets d&#233;di&#233;s :\n    </p>\n    <ul>\n      <li>\n        <b>personnages</b> : personnages li&#233;s, lien\n      </li>\n      <li>\n        <b>lieux</b> : lieux li&#233;s, lien\n      </li>\n      <li>\n        <b>objets</b> : objets li&#233;s, lien\n      </li>\n      <li>\n        <b>notes</b> : texte (32768)\n      </li>\n    </ul>\n    <p>\n      La port&#233;e de la relation n''est pas obligatoire. Le nombre de relations \n      n''est pas limit&#233;.\n    </p>\n    <p>\n      Pour &#233;tablir une relation &quot;p&#232;re - fils&quot; on d&#233;finira une relation &quot;est le \n      p&#232;re de&quot;. Il est &#224; noter que la relation inverse n''est jamais calcul&#233;e \n      automatiquement. Si on souhaite avoir aussi cette relation inverse il \n      faut &#233;tablir une autre relation &quot;est le fils de&quot;.\n    </p>\n    <p>\n      On peut &#233;tablir une relation entre un personnage et plusieurs autres, \n      ou/et des lieux, ou/et des objets. Ainsi la relation &quot;p&#232;re de&quot; permettra \n      d''&#233;tablir une relation multiple entre un personnage, le p&#232;re, et \n      plusieurs autres, ses enfants. Il est &#224; noter que dans ce cas les \n      informations &quot;personnage 1&quot; et/ou &quot;personnage 2&quot; peuvent &#234;tre laiss&#233;es \n      vacantes, voir plusieurs exemples de relations dans le fichier &quot;Le \n      m&#233;decin malgr&#233; lui&quot;.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '12.9 Relation', '', '', 0, 0, 0, 0, 0),
(55, 12, 1, 1212, NULL, STRINGDECODE('12.12 \u00c9tiquette'), STRINGDECODE('<p>\n      L''&#233;tiquette dispose des m&#234;mes informations que pour l''objet.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, STRINGDECODE('12.12 \u00c9tiquette'), '', '', 0, 0, 0, 0, 0),
(56, 12, 1, 1208, NULL, STRINGDECODE('12.8 Cat\u00e9gorie de personnage'), STRINGDECODE('<p>\n      Permet de d&#233;finir la cat&#233;gorie des personnages. Il existe deux \n      cat&#233;gories initiales : personnage principal et personnage secondaire. \n      Une cat&#233;gorie peut &#234;tre li&#233;e &#224; une autre, cr&#233;ant ainsi un ensemble de \n      cat&#233;gories et sous-cat&#233;gories.\n    </p>\n    <ul>\n      <li>\n        <b>nom</b> : nom de la cat&#233;gorie, libell&#233; (255)\n      </li>\n      <li>\n        <b>ordre</b> : ordre de tri dans la cat&#233;gorie, nombre\n      </li>\n      <li>\n        <b>cat&#233;gorie</b> : cat&#233;gorie li&#233;e, lien\n      </li>\n    </ul>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, STRINGDECODE('12.8 Cat\u00e9gorie de personnage'), '', '', 0, 0, 0, 0, 0);            
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(57, 12, 1, 1207, NULL, '12.7 Genre', STRINGDECODE('<p>\n      Permet de d&#233;finir le genre du personnage. Il existe deux genres initiaux \n      : masculin et f&#233;minin. Il est possible de d&#233;finir des genres \n      suppl&#233;mentaires (animal, plante, esp&#232;ce extra-terrestre, etc...).\n    </p>\n    <ul>\n      <li>\n        <b>fichier d''ic&#244;ne</b> : ic&#244;ne &#224; associer au genre, libell&#233; (1024)\n      </li>\n      <li>\n        <b>genre</b> : intitul&#233; du genre, libell&#233; (255)\n      </li>\n      <li>\n        <b>enfance</b> : &#226;ge maximum de la p&#233;riode de l''enfance, nombre\n      </li>\n      <li>\n        <b>adolescence</b> : &#226;ge maximum de la p&#233;riode de l''adolescence, nombre\n      </li>\n      <li>\n        <b>adulte</b> : &#226;ge maximum de la p&#233;riode &quot;adulte&quot;, nombre\n      </li>\n      <li>\n        <b>retraite</b> : &#226;ge minimum de la p&#233;riode de retraite, nombre\n      </li>\n    </ul>\n    <p>\n      <u>Note</u> :\n    </p>\n    <p>\n      Le fichier d''ic&#244;ne doit &#234;tre au format PNG et avoir une taille de 64x64. \n      Il est fortement recommand&#233; de regrouper toutes les images et/ou les \n      ic&#244;nes dans un sous-dossier d&#233;di&#233; situ&#233; dans le dossier o&#249; est \n      enregistr&#233; votre livre.\n    </p>\n    <p>\n      Les &#226;ges indiqu&#233;s ne sont pas obligatoires, vous pouvez laisser les \n      valeurs initiales. En effet ces informations ne sont plus utilis&#233;es.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '12.7 Genre', '', '', 0, 0, 0, 0, 0),
(58, 12, 1, 1213, NULL, STRINGDECODE('12.13 Id\u00e9e'), STRINGDECODE('<p>\n      L''id&#233;e est un simple texte comme on peu en user avec un bloc-note.\n    </p>\n    <ul>\n      <li>\n        <b>statut</b> : &#233;tat de r&#233;alisation de l''id&#233;e, comme le statut d''une \n        sc&#232;ne, avec l''option suppl&#233;mentaire &quot;abandonn&#233;e&quot;.\n      </li>\n      <li>\n        <b>cat&#233;gorie</b> : comme pour la cat&#233;gorie d''un objet ou d''une \n        &#233;tiquette\n      </li>\n      <li>\n        <b>notes</b> : le texte d&#233;crivant l''id&#233;e, texte (32768)\n      </li>\n    </ul>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, STRINGDECODE('12.13 Id\u00e9e'), '', '', 0, 0, 0, 0, 0),
(59, 12, 1, 1214, NULL, STRINGDECODE('12.14 M\u00e9mo'), STRINGDECODE('<p>\n      Le m&#233;mo est comparable &#224; l''id&#233;e, le statut et la cat&#233;gorie en moins.\n    </p>\n    <ul>\n      <li>\n        <b>nom</b> : nom du m&#233;mo, libell&#233; (255)\n      </li>\n      <li>\n        <b>notes</b> : texte (32768)\n      </li>\n    </ul>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, STRINGDECODE('12.14 M\u00e9mo'), '', '', 0, 0, 0, 0, 0),
(60, 16, 1, 1840, NULL, '18.4 Chronologie', STRINGDECODE('<p>\n      La chronologie est un &#233;l&#233;ment pr&#233;cieux dans tout r&#233;cit. Si vous d&#233;cidez \n      de l''utiliser dans oStorybook soyez tr&#232;s attentif dans la manipulation \n      de cette information. En cas de &quot;trou&quot; oStorybook sera incapable de \n      reconstituer ce qui manque, les r&#233;sultats des diff&#233;rentes vues ou des \n      rapports peuvent s''en trouver affect&#233;s.\n    </p>\n    <p>\n      La meilleure recommandation est d''&#233;viter de m&#233;langer dans un m&#234;me \n      ouvrage les &quot;sans date&quot;, &quot;date fixe&quot; et &quot;date relative&quot;. Tenez-vous en &#224; \n      la seule &quot;date fixe&quot; pour &#234;tre certain de ne rien louper.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '18.4 Chronologie', '', '', 0, 0, 0, 0, 0),
(61, 17, 1, 1401, NULL, '14.1 Vue chronologique', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-1.png\" width=\"936\" height=\"742\">\n      &#160;\n    </p>\n    <p>\n      La vue chronologique permet de visualiser les sc&#232;nes selon leur \n      chronologie. Celle-ci s''&#233;tablit en fonction des informations de datation \n      de la sc&#232;ne. Attention toutefois, une sc&#232;ne &quot;sans date&quot; n''appara&#238;tra \n      pas. De m&#234;me, si vous m&#233;langez sc&#232;nes &#224; date fixe et sc&#232;ne &#224; date \n      relative, le r&#233;sultat pourra &#234;tre hasardeux. Finalement la vue \n      chronologique ne fonctionne sans probl&#232;me que lorsque vous utilisez \n      syst&#233;matiquement des dates fixes.\n    </p>\n    <p>\n      Les versions ult&#233;rieures de oStorybook s''efforceront de r&#233;soudre ce \n      probl&#232;me, et m&#234;me d''offrir des possibilit&#233;s plus &#233;tendues.\n    </p>\n    <p>\n      Il est possible de modifier le texte de la sc&#232;ne directement dans cette \n      vue.\n    </p>\n    <p>\n      Depuis l''ic&#244;ne &quot;<b>options</b>&quot; dans le titre de l''onglet vous \n      pouvez :\n    </p>\n    <ul>\n      <li>\n        modifier le niveau de zoom : ce qui r&#233;duira plut&#244;t l''espace r&#233;serv&#233; au \n        texte de la sc&#232;ne\n      </li>\n      <li>\n        choisir la mise en page : entre verticale et horizontale\n      </li>\n    </ul>\n    <p>\n      (FaVdB : Je n''ai pas r&#233;ussi &#224; comprendre &#224; quoi servait le dernier \n      param&#232;tre &quot;diff&#233;rence entre les dates&quot;)\n    </p>\n    <p>\n      Voir aussi un autre type de pr&#233;sentation le &quot;Storyboard&quot; qui reprend les \n      m&#234;mes principes graphiques que la vue chronologique, mais avec d''autres \n      r&#232;gles.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:54:39', '14.1 Vue chronologique', '', '', 0, 0, 0, 0, 0);           
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(62, 17, 1, 1402, NULL, '14.2 Livre', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-2.png\" width=\"936\" height=\"742\">\n      &#160;\n    </p>\n    <p>\n      La vue Livre permet de travailler directement sur le titre de la sc&#232;ne \n      ou son r&#233;sum&#233; (ou son texte) sans &#234;tre oblig&#233; de passer par l''&#233;diteur de \n      sc&#232;ne.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:55:04', '14.2 Livre', '', '', 0, 0, 0, 0, 0),
(63, 17, 1, 1403, NULL, '14.3 Vue Lecture', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-3.png\" width=\"935\" height=\"742\">\n      &#160;\n    </p>\n    <p>\n      Cette vue est tr&#232;s similaire &#224; celle qui serait obtenue via \n      l''exportation du livre au format HTML.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:55:36', '14.3 Vue Lecture', '', '', 0, 0, 0, 0, 0),
(64, 17, 1, 1404, NULL, STRINGDECODE('14.4 G\u00e9rer les chapitres et les sc\u00e8nes'), STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-4.png\" width=\"935\" height=\"742\">\n      &#160;\n    </p>\n    <p>\n      Dans cette vue vous pourrez r&#233;ordonner les sc&#232;nes par un simple \n      glisser/d&#233;poser. &#192; noter que la zone du haut regroupe les sc&#232;nes qui \n      n''ont pas encore &#233;t&#233; affect&#233;es &#224; un chapitre.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:55:57', STRINGDECODE('14.4 G\u00e9rer les chapitres et les sc\u00e8nes'), '', '', 0, 0, 0, 0, 0),
(65, 17, 1, 1405, NULL, '14.5 Memoria', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-5.png\" width=\"935\" height=\"742\">\n      \n    </p>\n    <p>\n      La vue Memoria est une repr&#233;sentation graphique des liens entre les \n      diff&#233;rentes composantes, centr&#233;e sur la composante choisie. Cet exemple \n      est extrait de &quot;Le m&#233;decin malgr&#233; lui&quot;, la composante centrale &#233;tant la \n      sc&#232;ne 1 du premier acte.\n    </p>\n    <p>\n      Les fl&#232;ches qui ne pointent &#160;sur rien se remplissent en fonction \n      d''autres composantes qui ne sont pas utilis&#233;es dans cette sc&#232;ne \n      (&#233;tiquette, relation, etc...). Les sc&#232;nes li&#233;es, en bas &#224; droite, le \n      sont du fait que ce sont des sc&#232;nes d&#233;finies en date relative.\n    </p>\n    <p>\n      <u>Note</u> :\n    </p>\n    <p>\n      Vous pouvez zoomer sur le graphique en utilisant la molette de la souris \n      (vers le haut ou vers le bas).\n    </p>\n    <p>\n      Si le graphique n''est pas centr&#233; comme vous le souhaitez vous pouvez le \n      d&#233;placer par un glisser/d&#233;poser.\n    </p>\n    <p>\n      Si vous double-cliquez sur l''une des composantes le graphique sera \n      recentr&#233; sur celle-ci.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:56:22', '14.5 Memoria', '', '', 0, 0, 0, 0, 0),
(66, 17, 1, 1406, NULL, '14.6 Storyboard', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-6.png\" width=\"935\" height=\"742\">\n      &#160;\n    </p>\n    <p>\n      La vue Storyboard est tr&#232;s voisine de la vue &quot;G&#233;rer les chapitres et les \n      sc&#232;nes&quot;. Les diff&#233;rences essentielles sont les suivantes:\n    </p>\n    <ul>\n      <li>\n        vous n''avez pas la possibilit&#233; de &quot;d&#233;placer&quot; les sc&#232;nes\n      </li>\n      <li>\n        vous ne pouvez pas param&#233;trer la vue (par exemple en changeant le zoom)\n      </li>\n    </ul>\n    <p>\n      L''exemple permet de montrer comment disposer la vue en m&#234;me temps que \n      les autres vues pour avoir constamment sous les yeux le d&#233;roulement des \n      sc&#232;nes.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:56:42', '14.6 Storyboard', '', '', 0, 0, 0, 0, 0);    
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(67, 17, 1, 1407, NULL, STRINGDECODE('14.7 Liste des t\u00e2ches'), STRINGDECODE('<p>\n      L''acc&#232;s &#224; la liste des t&#226;ches n''est rien d''autre qu''un autre moyen \n      d''afficher la table des sc&#232;nes. Aviez-vous not&#233;, en haut, la possibilit&#233; \n      de filtrer les sc&#232;nes en fonction de leur statut et/ou du fil?\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-7.png\" width=\"399\" height=\"46\">\n      &#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:57:07', STRINGDECODE('14.7 Liste des t\u00e2ches'), '', '', 0, 0, 0, 0, 0),
(68, 17, 1, 1409, NULL, '14.9 Arbre', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-9.png\" width=\"294\" height=\"386\">\n      &#160;\n    </p>\n    <p>\n      La vue Arbre propose la liste des composantes de votre livre sous forme \n      arborescente. Ce type de repr&#233;sentation &#224; l''avantage d''une \n      repr&#233;sentation synth&#233;tique et hi&#233;rarchis&#233;e. Dans la petite barre \n      d''outils vous pouvez s&#233;lectionner le type de composante &#224; afficher ainsi \n      que le niveau de d&#233;ploiement.\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-91.png\" width=\"296\" height=\"387\">\n      \n    </p>\n    <p>\n      En cliquant sur le noeud d''une branche on peut d&#233;ployer les &#233;l&#233;ments \n      rattach&#233;s. Un clique droit sur l''un des &#233;l&#233;ments ouvre un sous-menu \n      permettant l''acc&#232;s direct &#224; des fonctions comme la modification \n      (&#233;diter), la suppression, ou la visualisation sp&#233;cifique de la \n      composante en question.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:58:33', '14.9 Arbre', '', '', 0, 0, 0, 0, 0),
(69, 17, 1, 1410, NULL, '14.10 Infos rapides', STRINGDECODE('<p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-10.png\" width=\"292\" height=\"260\">\n      &#160;\n    </p>\n    <p>\n      La vue Infos rapides pr&#233;sente les diff&#233;rentes informations de la \n      composante s&#233;lectionn&#233;e (dans l''arbre ou la table). L''exemple suivant \n      concerne la sc&#232;ne 1 de l''acte I du M&#233;decin malgr&#233; lui :\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:59:14', '14.10 Infos rapides', '', '', 0, 0, 0, 0, 0),
(70, 17, 1, 1411, NULL, '14.11 Navigation', STRINGDECODE('<p>\n      La vue Navigation permet de se d&#233;placer rapidement dans le livre. Elle \n      dispose de deux onglets:\n    </p>\n    <ul>\n      <li>\n        chercher un chapitre\n      </li>\n      <li>\n        chercher une date\n      </li>\n    </ul>\n    <p>\n      Et propose de restituer le r&#233;sultat de cette recherche rapide dans l''une \n      des vues suivantes:\n    </p>\n    <ul>\n      <li>\n        vue chronologique\n      </li>\n      <li>\n        vue livre\n      </li>\n      <li>\n        vue G&#233;rer les chapitres et les sc&#232;nes (que pour la recherche par \n        chapitre)\n      </li>\n    </ul>\n    <p>\n      L''exemple suivant a &#233;t&#233; captur&#233; sur la vue Navigation qui a &#233;t&#233; \n      &quot;undock&#233;&quot;, voir le chapitre 3.5, de mani&#232;re &#224; voir l''ensemble de la vue :\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/14-11.png\" width=\"442\" height=\"250\">\n      &#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 12:59:33', '14.11 Navigation', '', '', 0, 0, 0, 0, 0),
(72, 3, 1, 370, NULL, '3.7 Menus', STRINGDECODE('<p>\n      Liste des &#233;l&#233;ments des menus :\n    </p>\n    <ul>\n      <li>\n        Fichier\n\n        <ul>\n          <li>\n            Nouveau : cr&#233;er un nouveau fichier oStorybook\n          </li>\n          <li>\n            Ouvrir : ouvrir un fichier existant\n          </li>\n          <li>\n            Fichiers r&#233;cents : ouvrir l''un des fichiers r&#233;cemment utilis&#233;s\n          </li>\n          <li>\n            Enregistrer : enregistrer toutes les modifications apport&#233;es au \n            livre\n          </li>\n          <li>\n            Enregistrer sous... : cr&#233;er une copie du fichier actuellement \n            ouvert\n          </li>\n          <li>\n            Renommer : changer le nom du fichier\n          </li>\n          <li>\n            Fermer : fermer le fichier actuel, s''il n''y a pas d''autre fichier \n            ouvert vous quitterez aussi oStorybook (voir l''option \n            correspondate dans les <b>pr&#233;f&#233;rences</b>)\n          </li>\n          <li>\n            Propri&#233;t&#233;s : visualiser/modifier les propri&#233;t&#233;s de votre livre, \n            voir le chapitre &quot;6. Propri&#233;t&#233;s&quot;\n          </li>\n          <li>\n            Import... : r&#233;serv&#233; &#224; un usage ult&#233;rieur\n          </li>\n          <li>\n            Export : exporter les donn&#233;es de votre fichier vers un autre format\n          </li>\n          <li>\n            Quitter : sortir de oStorybook\n          </li>\n        </ul>\n      </li>\n      <li>\n        &#201;diter\n\n        <ul>\n          <li>\n            Copier le livre dans le presse-papier : pour &#234;tre utilis&#233; via un \n            &quot;coller&quot; dans un autre logiciel\n          </li>\n          <li>\n            Copier le r&#233;sum&#233; dans le presse-papier : idem, sauf que ce n''est \n            que le r&#233;sum&#233; du livre qui est concern&#233;\n          </li>\n          <li>\n            Copier les &#233;l&#233;ments : copier des composantes d''un fichier \n            oStorybook &#224; un autre\n          </li>\n          <li>\n            Pr&#233;f&#233;rences : visualiser/modifier les pr&#233;f&#233;rences g&#233;n&#233;rales de \n            oStorybook\n          </li>\n          <li>\n            V&#233;rification de l''orthographe : param&#232;tre de l''outil de \n            v&#233;rification orthographique\n          </li>\n        </ul>\n      </li>\n      <li>\n        Nouveau : les sous-menus correspondent &#224; la cr&#233;ation des diff&#233;rentes \n        composantes\n      </li>\n      <li>\n        Tables : les sous-menus correspondent aux diff&#233;rentes tables, \n        regroup&#233;es en deux grandes cat&#233;gories : Composantes principales, \n        Composantes secondaires\n      </li>\n      <li>\n        Outils\n\n        <ul>\n          <li>\n            Recherche de mots : recherche d''un ou de plusieurs mots dans la \n            base de donn&#233;es\n          </li>\n          <li>\n            Ordre des chapitres : pour modifier l''ordre des chapitres\n          </li>\n          <li>\n            Renommer : les sous-menus correspondent &#224; la possibilit&#233; de \n            renommer diff&#233;rentes composantes (ville ou pays des lieux, \n            cat&#233;gorie d''&#233;tiquette, cat&#233;gorie d''objet)\n          </li>\n        </ul>\n      </li>\n      <li>\n        Vue : voir le chapitre &quot;14. D&#233;tail des vues&quot;\n      </li>\n      <li>\n        Rapports : voir le chapitre &quot;15. D&#233;tail des rapports&quot;\n      </li>\n      <li>\n        Parties : permet de changer la partie sur laquelle on travaille\n      </li>\n      <li>\n        Fen&#234;tre : pour g&#233;rer la disposition des diff&#233;rentes vues\n      </li>\n      <li>\n        Aide\n\n        <ul>\n          <li>\n            Documentation en ligne : sur le site Internet, ouvre votre \n            navigateur\n          </li>\n          <li>\n            Foire aux questions : sur le site Internet, ouvre votre navigateur\n          </li>\n          <li>\n            Page d''accueil : sur le site Internet, ouvre votre navigateur\n          </li>\n          <li>\n            Bugs : pour signaler une anomalie, sur le site Internet, ouvre \n            votre navigateur\n          </li>\n          <li>\n            &#192; propos de oStorybook : informations sur le logiciel\n          </li>\n          <li>\n            V&#233;rifier les mises &#224; jour : v&#233;rifier si une nouvelle version de \n            oStorybook a &#233;t&#233; publi&#233;e\n          </li>\n          <li>\n            Trace : &#224; utiliser sur indication de l''&#233;quipe de d&#233;veloppement, \n            n&#233;cessaire parfois pour diagnostiquer un probl&#232;me\n          </li>\n        </ul>\n      </li>\n    </ul>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '3.7 Menus', '', '', 0, 0, 0, 0, 0);           
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(73, 18, 1, 1510, NULL, '15.1 Liste des attributs', STRINGDECODE('<p>\n      La vue en tableau des Attributs ne permet pas de voir la liste des \n      personnages qui partagent le m&#234;me attribut. En revanche ce rapport le \n      permet.\n    </p>\n    <p>\n      L''exemple qui suit est extrait du livre &quot;De la terre &#224; la lune&quot; dans \n      lequel, &#224; titre de d&#233;monstration, les attributs &quot;Taille&quot; et &quot;V&#234;tement&quot; \n      ont &#233;t&#233; cr&#233;&#233;s.\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/15-1.png\" width=\"296\" height=\"409\">\n      &#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 13:00:03', '15.1 Liste des attributs', '', '', 0, 0, 0, 0, 0),
(74, 18, 1, 1520, NULL, '15.2 Apparition des personnages par date', STRINGDECODE('<p>\n      Ce rapport permet de visualiser l''apparition des personnages selon la \n      ligne temporelle g&#233;n&#233;rale du livre. Si vous avez de nombreux \n      personnages, le graphique risque de devenir illisible, sauf &#224; utiliser \n      le filtre sur la cat&#233;gorie, en bas.\n    </p>\n    <p>\n      Dans l''exemple suivant, extrait du &quot;M&#233;decin malgr&#233; lui&quot;, les sc&#232;nes ont \n      &#233;t&#233; r&#233;gl&#233;es de mani&#232;re &#224; ce qu''elles durent toutes 5 minutes, mais \n      sachez que si les sc&#232;nes ont des &quot;trous&quot; dans leur chronologie le \n      r&#233;sultat risque d''&#234;tre hasardeux.\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/15-2.png\" width=\"965\" height=\"646\">\n      &#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 13:00:29', '15.2 Apparition des personnages par date', '', '', 0, 0, 0, 0, 0),
(75, 18, 1, 1530, NULL, STRINGDECODE('15.3 Apparition des personnages par sc\u00e8ne'), STRINGDECODE('<p>\n      Ce rapport, qui se pr&#233;sente sous forme d''un tableau, restitue la \n      r&#233;partition des apparitions des personnages par sc&#232;ne.\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/15-3.png\" width=\"1062\" height=\"645\">\n      &#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 13:00:50', STRINGDECODE('15.3 Apparition des personnages par sc\u00e8ne'), '', '', 0, 0, 0, 0, 0),
(76, 18, 1, 1540, NULL, STRINGDECODE('15.4 Qui quand o\u00f9?'), STRINGDECODE('<p>\n      En r&#233;alit&#233; ce rapport devrait s''appeler &quot;O&#249; quand qui?&quot;. En effet, c''est \n      un tableau qui donne pour chaque lieu, et par date, la liste des \n      personnages qui participent &#224; l''action.\n    </p>\n    <p>\n      Le M&#233;decin malgr&#233; lui ne se d&#233;roule que dans deux lieux : la cour durant \n      l''acte I et la maison de G&#233;ronte pour les actes II et III. Ce qui donne \n      le tableau suivant :\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/15-4.png\" width=\"879\" height=\"634\">\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 13:01:16', STRINGDECODE('15.4 Qui quand o\u00f9?'), '', '', 0, 0, 0, 0, 0),
(77, 18, 1, 1550, NULL, '15.5 Utilisation des fils par date', STRINGDECODE('<p>\n      Ce rapport visualise les fils selon la chronologie g&#233;n&#233;rale du livre.\n    </p>\n    <p>\n      Appliqu&#233;e au cas du M&#233;decin &#231;a n''a aucun r&#233;sultat. En effet, selon les \n      vieux canons de la pi&#232;ce de th&#233;&#226;tre il y a unit&#233; de temps et de lieu, \n      sauf que l&#224; il y a deux lieux.\n    </p>\n    <p>\n      En revanche &#231;a devrait vous &#234;tre utile dans le cas o&#249; il y a plusieurs \n      intrigues qui se d&#233;roulent sur une p&#233;riode assez longue.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '15.5 Utilisation des fils par date', '', '', 0, 0, 0, 0, 0);            
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(78, 18, 1, 1560, NULL, '15.6 Occurrence des personnages', STRINGDECODE('<p>\n      Voil&#224; un rapport tr&#232;s int&#233;ressant, surtout dans le cas d''une pi&#232;ce de \n      th&#233;&#226;tre, ou un sc&#233;nario de film. Il permet d''avoir une vue d''ensemble \n      des personnages selon le nombre de leurs apparitions dans les sc&#232;nes.\n    </p>\n    <p>\n      Exemple issu du M&#233;decin malgr&#233; lui:\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/15-6.png\" width=\"879\" height=\"638\">\n      &#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-20 15:00:26', '15.6 Occurrence des personnages', '', '', 0, 0, 0, 0, 0),
(79, 18, 1, 1570, NULL, '15.7 Occurrence des lieux ou des objets', STRINGDECODE('<p>\n      Ce rapport est similaire au pr&#233;c&#233;dent, mais appliqu&#233; aux lieux ou aux \n      objets.\n    </p>\n    <p>\n      Dans cet exemple, toujours tir&#233; du M&#233;decin malgr&#233; lui, vous noterez que \n      le &quot;Bar de l''escadrille&quot; ne figure pas dans le texte original de \n      Moli&#232;re, c''est simplement un ajout &#224; titre de d&#233;monstration.\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/15-7.png\" width=\"827\" height=\"607\">\n      &#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-20 14:55:20', '15.7 Occurrence des lieux ou des objets', '', '', 0, 0, 0, 0, 0),
(80, 15, 1, 1610, NULL, '16.1 Avant : utilisation d''un CSS', STRINGDECODE('<p>\n      Le CSS, ou Cascading Style Sheets en anglais, est une feuille de style \n      couramment utilis&#233;e dans la conception de sites web, donc avec des \n      fichiers au format HTML. Je vous recommande le tr&#232;s excellent article <a href=\"https://fr.wikipedia.org/wiki/Feuilles_de_style_en_cascade\">Wikipedia</a> \n      consacr&#233; &#224; ce sujet. Attention toutefois, si vous ne pratiquez pas cet \n      &quot;art&quot; il vous faudra pas mal de temps pour apprivoiser ce langage, car \n      il s''agit avant tout d''un langage.\n    </p>\n    <p>\n      Donc vous avez con&#231;u votre propre CSS. Pour l''utiliser il vous faudra \n      l''indiquer dans les options d''exportation comme &#233;voqu&#233; au chapitre \n      &quot;11.2.4 Options HTML&quot;.\n    </p>\n    <p>\n      &#192; d&#233;faut c''est un CSS &quot;standard&quot; qui sera inclus dans vos fichiers HTML \n      export&#233;s.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '16.1 Avant : utilisation d''un CSS', '', '', 0, 0, 0, 0, 0),
(81, 15, 1, 1620, NULL, STRINGDECODE('16.2 Apr\u00e8s : utilisation de LibreOffice'), STRINGDECODE('<p>\n      Vous n''&#234;tes pas un fan de l''informatique et cr&#233;er votre propre CSS vous \n      ennuie un peu. Qu''&#224; cela ne tienne vous pourrez utiliser LibreOffice \n      pour fignoler votre pr&#233;sentation.\n    </p>\n    <p>\n      Exportez votre livre au format HTML, avec l''option &quot;un seul gros \n      fichier&quot;. Vous pourrez ensuite ouvrir le fichier produit dans \n      LibreOffice et le retravailler selon vos souhaits. Attention toutefois, \n      si vous modifiez le texte en plus de la mise en forme, il vous faudra \n      effectuer les m&#234;mes corrections dans votre fichier oStorybook.\n    </p>\n    <p>\n      Consultez aussi les quelques astuces du chapitre 17.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, STRINGDECODE('16.2 Apr\u00e8s : utilisation de LibreOffice'), '', '', 0, 0, 0, 0, 0),
(83, 11, 1, 1141, NULL, '11.4.1 Publication directe sur Internet', STRINGDECODE('<p>\n      Le format des fichiers &#224; publier sur Internet est le HTML. L''exportation \n      du m&#234;me type vous permet de disposer des fichiers n&#233;cessaires &#224; \n      transf&#233;rer sur votre serveur. En r&#232;gle g&#233;n&#233;rale il faut utiliser un \n      outil FTP pour t&#233;l&#233;charger les fichiers. Commencez par cr&#233;er sur votre \n      espace personnel un dossier qui devra recevoir vos fichiers, puis \n      effectuez le t&#233;l&#233;chargement de tous les fichiers HTML qui ont &#233;t&#233; \n      g&#233;n&#233;r&#233;s, sans oublier le sous-dossier d''images. Dans le cas de ce manuel \n      le t&#233;l&#233;chargement prend environ 3 minutes, y compris celui des images.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '11.4.1 Publication directe sur Internet', '', '', 0, 0, 0, 0, 0);          
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(84, 11, 1, 1142, NULL, '11.4.2 Publication via LibreOffice', STRINGDECODE('<p>\n      Si vous avez choisi de saisir votre texte directement dans LibreOffice \n      le meilleur, et le plus simple, moyen pour cr&#233;er le Livre complet sera \n      d''utiliser le principe du document ma&#238;tre. Voyez la document de \n      LibreOffice pour en savoir plus sur ce sujet.\n    </p>\n    <p>\n      Si vous avez opt&#233; pour la saisie dans oStorybook votre r&#233;f&#233;rence de \n      d&#233;part sera l''exportation en HTML. Choisissez l''option &quot;un seul gros \n      fichier&quot; puis, dans LibreOffice, proc&#233;dez aux op&#233;rations suivantes:\n    </p>\n    <ol>\n      <li>\n        ouvrez le fichier HTML g&#233;n&#233;r&#233;. Vous disposerez &#224; partir de l&#224; de \n        toutes les fonctions de mise en forme de votre fichier\n      </li>\n      <li>\n        Enregistrer votre fichier au format natif de LibreOffice (le format \n        &quot;odt&quot;, en passant par le menu &quot;Fichier - Exporter&quot; et en utilisant le \n        format &quot;Texte (Writer/Web) (.odt)&quot;), sinon vous risquez de limiter \n        inutilement vos choix de mise en forme\n      </li>\n      <li>\n        Privil&#233;giez l''utilisation des &quot;Styles et formatage&quot; (dans le menu \n        &quot;Format&quot;), vous verrez que ce sera plus confortable au bout du compte\n      </li>\n      <li>\n        Si vous avez utilis&#233; des images dans votre texte, vous pouvez aussi \n        obtenir que celles-ci soient int&#233;gr&#233;es dans votre fichier LibreOffice, \n        pour r&#233;aliser cette op&#233;ration allez dans le menu &quot;&#201;dition - Liens...&quot; \n        (si ce menu est gris&#233; c''est qu''il n''y a pas d''images li&#233;es). La \n        fen&#234;tre de dialogue qui apparait donne la liste de tous les liens \n        utilis&#233;s dans le document. S&#233;lectionnez tous ceux qui se r&#233;f&#232;rent &#224; \n        une image, puis cliquez sur le bouton &quot;D&#233;connecter&quot;.\n      </li>\n    </ol>\n    <p>\n      Le fichier r&#233;sultat obtenu pourra donc &#234;tre utilis&#233; pour toutes les \n      op&#233;rations ult&#233;rieures que vous souhaitez appliquer (imprimer, cr&#233;er un \n      fichier PDF, cr&#233;er un eBook, etc...).\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '11.4.2 Publication via LibreOffice', '', '', 0, 0, 0, 0, 0),
(85, 19, 1, 1701, NULL, '17.0 Outils', STRINGDECODE('<p>\n      Plusieurs outils sont disponibles pour effectuer des t&#226;ches sp&#233;ciales.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-06-17 10:31:56', '17.0 Outils', '', '', 0, 0, 0, 0, 0),
(86, 16, 1, 1850, NULL, STRINGDECODE('18.5 V\u00e9rificateur orthographique'), STRINGDECODE('<p>\n      Le v&#233;rificateur orthographique fonctionne sur la base d''un dictionnaire, \n      qui n''est rien d''autre qu''un lexique de tous les mots de langue \n      s&#233;lectionn&#233;e. L''installation de base comporte des dictionnaires pour \n      l''anglais et le fran&#231;ais. Mais ces dictionnaires ne sont pas actifs, il \n      faut les copier dans le dossier personnel de l''utilisateur, dossier \n      cach&#233; &quot;.ostorybook5&quot; ou il faut cr&#233;er un dossier &quot;dicts&quot;. Toutefois le \n      plus simple est de t&#233;l&#233;charger le dictionnaire souhait&#233; depuis la \n      fonction &quot;Edit &gt; Spellcheker&quot;.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, STRINGDECODE('18.5 V\u00e9rificateur orthographique'), '', '', 0, 0, 0, 0, 0),
(87, 19, 1, 1710, NULL, STRINGDECODE('17.1 V\u00e9rificateur orthographique'), STRINGDECODE('<p>\n      Le v&#233;rificateur orthographique est bas&#233; sur le module JOrtho est un \n      outil Open Source. Ce module fonctionne avec des dictionnaires, un pour \n      chaque langue, qui ne sont rien d''autres que des listes des mots de la \n      langue. Pour en savoir plus sur cet aspects reportez vous &#224; la page \n      d''information du <a href=\"http://ostorybook.tuxfamily.org/articles.php?lng=fr&pg=378\">site</a>.\n    </p>\n    <p>\n      Pour t&#233;l&#233;charger un dictionnaire, allez dans le menu Edit, sous menu \n      Spellchecker.\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/17-1.png\" width=\"639\" height=\"288\">\n      \n    </p>\n    <p>\n      Dans cet exemple plusieurs dictionnaires ont &#233;t&#233; install&#233;s, ils \n      apparaissent dans la liste &quot;Dictionnaires install&#233;s&quot; &#224; gauche. La liste \n      des dictionnaires t&#233;l&#233;chargeables est vide, cliquez sur le bouton \n      &quot;R&#233;cup&#233;rer la liste&quot; pour la remplir. Pour t&#233;l&#233;charger un autre \n      dictionnaire, s&#233;lectionnez le puis cliquez sur le bouton \n      &quot;T&#233;l&#233;chargement&quot;. &#192; l''issue de du transfert la liste de gauche sera \n      actualis&#233; pour faire appara&#238;tre le nouveau dictionnaire.\n    </p>\n    <p>\n      Pour activer un dictionnaire durant la saisie du texte, s&#233;lectionnez la \n      langue souhait&#233;e dans la liste des dictionnaires install&#233;s puis cliquez \n      sur le bouton &quot;S&#233;lection de la langue&quot;.\n    </p>\n    <p>\n      En plus de votre dictionnaire standard le syst&#232;me va aussi g&#233;rer \n      s&#233;par&#233;ment les mots que vous d&#233;ciderez d''ajouter. Vous pouvez g&#233;rer \n      cette liste de mots via le bouton &quot;Dictionnaire personnel&quot;.\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/17-11.png\" width=\"452\" height=\"333\">\n      \n    </p>\n    <p>\n      &#192; partir de cette bo&#238;te de dialogue vous pouvez rechercher un mot, en \n      ajouter un, ou supprimer un mot enregistr&#233; par erreur.\n    </p>\n    <p>\n      <b>Note</b> : vous aurez peut-&#234;tre remarqu&#233; que la liste des mots du \n      dictionnaire standard omettait &#160;les mots avec un article contract&#233; (pour \n      le fran&#231;ais). Par exemple &quot;escalier&quot; figure dans le dictionnaire \n      standard mais pas &quot;l''escalier&quot;. Il faut faudra donc ajouter ces \n      &quot;variations&quot; au fur et &#224; mesure dans le dictionnaire personnel. Pour &#231;a, \n      depuis la saisie d''un texte, lorsque le mot est soulign&#233; en rouge faites \n      un clique droit sur le mot pour faire appara&#238;tre un menu &quot;pop-up&quot; dans \n      lequel vous choisirez &quot;Orthographe &gt; Ajouter au dictionnaire&quot;.\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/17-12.png\" width=\"500\" height=\"680\">\n      &#160;\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 13:05:51', STRINGDECODE('17.1 V\u00e9rificateur orthographique'), '', '', 0, 0, 0, 0, 0);      
INSERT INTO PUBLIC.SCENE(ID, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, NOTES, INFORMATIVE, ODF, NARRATOR_ID, ASSISTANT, CREATION, MAJ, NAME, DESCRIPTION, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC) VALUES
(88, 19, 1, 1720, NULL, '17.2 Internationalisation', STRINGDECODE('<p>\n      oStorybook dispose de la possibilit&#233; d''int&#233;grer diff&#233;rentes langues pour \n      l''interface utilisateur. Un outil sp&#233;cifique a &#233;t&#233; d&#233;velopp&#233; pour \n      faciliter la traduction des diff&#233;rents &#233;l&#233;ments. Pour y acc&#233;der \n      choisissez le menu &quot;Aide &gt; Translate UI&quot;.\n    </p>\n    <p>\n      <img src=\"file:///home/favdb/ext/oStorybook/oStorybook5/code/doc/fr/manual/img/17-2.png\" width=\"808\" height=\"505\">\n      &#160;\n    </p>\n    <p>\n      Pour en savoir plus sur l''internationalisation merci de vous reporter &#224; \n      la page d''information sur le <a href=\"http://ostorybook.tuxfamily.org/articles.php?lng=fr&pg=23\">site</a> \n      sans tenir compte des &#233;tapes 1 et 2.\n    </p>'), 1, 0, -1, '', FALSE, '', NULL, '', NULL, '2020-08-19 13:06:11', '17.2 Internationalisation', '', '', 0, 0, 0, 0, 0),
(89, 16, 1, 1860, NULL, '18.6 Editeur bloquant', STRINGDECODE('<p>\n      L''&#233;diteur est une bo&#238;te de dialogue dans laquelle vous pouvez modifier \n      les informations d''une composante. Habituellement une bo&#238;te de dialogue \n      est &quot;bloquante&quot;, c''est-&#224;-dire qu''elle appara&#238;t toujours en avant-plan et \n      vous ne pouvez pas faire autre chose tant que celle-ci n''a pas &#233;t&#233; \n      referm&#233;e. Toutefois, oStorybook autorise un mode &quot;non bloquant&quot;, selon \n      l''option choisie dans les propri&#233;t&#233;s (voir le chapitre 6.2 D&#233;tail de \n      l''onglet &quot;G&#233;n&#233;ral&quot;). Voici les diff&#233;rences entre ces deux modes:\n    </p>\n    <p>\n      <b>Mode bloquant</b>:\n    </p>\n    <ul>\n      <li>\n        si vous tentez de fermer le dialogue via le X de fermeture rapide, et \n        que vous aviez fait des modifications, un message vous avertira que si \n        vous confirmez la fermeture ces modifications seront perdues.\n      </li>\n      <li>\n        vous ne pouvez pas interagir avec le reste de l''application tant que \n        l''&#233;diteur est ouvert.\n      </li>\n    </ul>\n    <p>\n      On peut consid&#233;rer que ce mode est plus s&#233;curis&#233; pour les personnes un \n      peu &quot;t&#234;tes en l''air&quot;.\n    </p>\n    <p>\n      <b>Mode non bloquant</b>:\n    </p>\n    <ul>\n      <li>\n        &#224; l''inverse du mode bloquant, vous ne pourrez pas fermer l''&#233;diteur \n        avec le X de fermeture rapide. Vous devrez imp&#233;rativement agir sur le \n        bouton de validation ou celui d''annulation.\n      </li>\n      <li>\n        vous pouvez interagir avec le reste de oStorybook, par exemple pour \n        ouvrir un autre &#233;diteur (ou plusieurs autres).\n      </li>\n      <li>\n        vos modifications ne sont pas automatiquement actualis&#233;es dans des \n        &#233;diteurs ouverts par ailleurs. Par exemple, si vous &#233;ditez une sc&#232;ne \n        et que voulez en m&#234;me temps modifier le nom d''un personnage, alors \n        lorsque vous validerez vos changement dans l''&#233;diteur du personnage les \n        modifications ne seront pas report&#233;es dans l''&#233;diteur de sc&#232;ne, le \n        personnage y figurera toujours sous son ancien nom.\n      </li>\n    </ul>\n    <p>\n      Ce mode est plut&#244;t r&#233;serv&#233; aux personnes bien organis&#233;es qui savent &#224; \n      tout moment o&#249; ils en sont.\n    </p>'), 1, NULL, NULL, '', FALSE, NULL, NULL, '', NULL, NULL, '18.6 Editeur bloquant', '', '', 0, 0, 0, 0, 0);          
CREATE CACHED TABLE PUBLIC.RELATIONSHIP(
    ID BIGINT NOT NULL,
    DESCRIPTION VARCHAR(256),
    PERSON1_ID BIGINT,
    PERSON2_ID BIGINT,
    START_SCENE_ID BIGINT,
    END_SCENE_ID BIGINT,
    NOTES VARCHAR(32768),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    ASSISTANT VARCHAR(32768)
);             
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.CONSTRAINT_7A PRIMARY KEY(ID);           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP;             
CREATE CACHED TABLE PUBLIC.TAG(
    ID BIGINT NOT NULL,
    TYPE INTEGER NOT NULL,
    CATEGORY VARCHAR(255),
    NAME VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255)
);
ALTER TABLE PUBLIC.TAG ADD CONSTRAINT PUBLIC.CONSTRAINT_1 PRIMARY KEY(ID);     
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.TAG;      
INSERT INTO PUBLIC.TAG(ID, TYPE, CATEGORY, NAME, DESCRIPTION, NOTES, ASSISTANT, CREATION, MAJ) VALUES
(1, 20, '', 'memo 1', '', '', '', NULL, NULL);           
CREATE CACHED TABLE PUBLIC.GENDER(
    ID BIGINT NOT NULL,
    NAME VARCHAR(256),
    CHILDHOOD INTEGER NOT NULL,
    ADOLESCENCE INTEGER NOT NULL,
    ADULTHOOD INTEGER NOT NULL,
    RETIREMENT INTEGER NOT NULL,
    ICONE VARCHAR(256),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768)
);        
ALTER TABLE PUBLIC.GENDER ADD CONSTRAINT PUBLIC.CONSTRAINT_7 PRIMARY KEY(ID);  
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.GENDER;   
INSERT INTO PUBLIC.GENDER(ID, NAME, CHILDHOOD, ADOLESCENCE, ADULTHOOD, RETIREMENT, ICONE, CREATION, MAJ, DESCRIPTION, NOTES, ASSISTANT) VALUES
(1, 'Homme', 12, 6, 47, 14, NULL, NULL, NULL, '', '', ''),
(2, 'Femme', 12, 6, 47, 14, NULL, NULL, NULL, '', '', '');           
CREATE CACHED TABLE PUBLIC.STRAND(
    ID BIGINT NOT NULL,
    ABBREVIATION VARCHAR(256),
    NAME VARCHAR(256),
    COLOR INTEGER,
    SORT INTEGER,
    NOTES VARCHAR(32768),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    ASSISTANT VARCHAR(32768)
);               
ALTER TABLE PUBLIC.STRAND ADD CONSTRAINT PUBLIC.CONSTRAINT_92 PRIMARY KEY(ID); 
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.STRAND;   
INSERT INTO PUBLIC.STRAND(ID, ABBREVIATION, NAME, COLOR, SORT, NOTES, CREATION, MAJ, DESCRIPTION, ASSISTANT) VALUES
(1, 'DS', STRINGDECODE('Fil par d\u00e9faut'), -1052673, 1, '', NULL, NULL, '', '');       
CREATE CACHED TABLE PUBLIC.ACTION(
    ID BIGINT NOT NULL,
    NAME VARCHAR(256),
    CATEGORY_ID BIGINT,
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768)
);          
ALTER TABLE PUBLIC.ACTION ADD CONSTRAINT PUBLIC.CONSTRAINT_72 PRIMARY KEY(ID); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ACTION;   
CREATE CACHED TABLE PUBLIC.TAG_LINK(
    ID BIGINT NOT NULL,
    TYPE INTEGER NOT NULL,
    START_SCENE_ID BIGINT,
    END_SCENE_ID BIGINT,
    CHARACTER_ID BIGINT,
    LOCATION_ID BIGINT,
    TAG_ID BIGINT,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768)
);              
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.CONSTRAINT_2D PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG_LINK; 
CREATE CACHED TABLE PUBLIC.PERSON_CATEGORIES(
    PERSON_ID BIGINT NOT NULL,
    CATEGORY_ID BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_CATEGORIES;        
CREATE CACHED TABLE PUBLIC.PERSON_ATTRIBUTE(
    PERSON_ID BIGINT NOT NULL,
    ATTRIBUTE_ID BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_ATTRIBUTE;         
CREATE CACHED TABLE PUBLIC.RELATIONSHIP_ITEMS(
    RELATIONSHIP_ID BIGINT NOT NULL,
    ITEM_ID BIGINT NOT NULL
);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_ITEMS;       
CREATE CACHED TABLE PUBLIC.RELATIONSHIP_LOCATIONS(
    RELATIONSHIP_ID BIGINT NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_LOCATIONS;   
CREATE CACHED TABLE PUBLIC.RELATIONSHIP_PERSONS(
    RELATIONSHIP_ID BIGINT NOT NULL,
    PERSON_ID BIGINT NOT NULL
);         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_PERSONS;     
CREATE CACHED TABLE PUBLIC.SCENE_ITEM(
    SCENE_ID BIGINT NOT NULL,
    ITEM_ID BIGINT NOT NULL
);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_ITEM;               
CREATE CACHED TABLE PUBLIC.SCENE_LOCATION(
    SCENE_ID BIGINT NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_LOCATION;           
CREATE CACHED TABLE PUBLIC.SCENE_PERSON(
    SCENE_ID BIGINT NOT NULL,
    PERSON_ID BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PERSON;             
CREATE CACHED TABLE PUBLIC.SCENE_STRAND(
    SCENE_ID BIGINT NOT NULL,
    STRAND_ID BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_STRAND;             
CREATE CACHED TABLE PUBLIC.STATUS(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    ICONE VARCHAR(256)
);           
ALTER TABLE PUBLIC.STATUS ADD CONSTRAINT PUBLIC.CONSTRAINT_926 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STATUS;   
CREATE CACHED TABLE PUBLIC.TIMEEVENT(
    ID BIGINT NOT NULL,
    TITLE VARCHAR(256),
    NOTES VARCHAR(32768),
    EVENT_TS TIMESTAMP,
    TIME_STEP INTEGER,
    CATEGORY VARCHAR(255),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    ASSISTANT VARCHAR(32768)
);              
ALTER TABLE PUBLIC.TIMEEVENT ADD CONSTRAINT PUBLIC.CONSTRAINT_A8 PRIMARY KEY(ID);              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TIMEEVENT;
CREATE CACHED TABLE PUBLIC.SCENE_PLOT(
    SCENE_ID BIGINT NOT NULL,
    PLOT_ID BIGINT NOT NULL
);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PLOT;               
CREATE CACHED TABLE PUBLIC.CATEGORY(
    ID BIGINT NOT NULL,
    SORT INTEGER,
    NAME VARCHAR(256),
    CATEGORY_ID BIGINT,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768)
);       
ALTER TABLE PUBLIC.CATEGORY ADD CONSTRAINT PUBLIC.CONSTRAINT_3 PRIMARY KEY(ID);
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.CATEGORY; 
INSERT INTO PUBLIC.CATEGORY(ID, SORT, NAME, CATEGORY_ID, CREATION, MAJ, DESCRIPTION, NOTES, ASSISTANT) VALUES
(1, 1, 'Personnage principal', NULL, NULL, NULL, '', '', ''),
(2, 2, 'Personnage secondaire', NULL, NULL, NULL, '', '', '');     
CREATE CACHED TABLE PUBLIC.ENDNOTE(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    NUMBER INTEGER NOT NULL,
    SCENE_ID BIGINT
);              
ALTER TABLE PUBLIC.ENDNOTE ADD CONSTRAINT PUBLIC.CONSTRAINT_C PRIMARY KEY(ID); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENDNOTE;  
CREATE CACHED TABLE PUBLIC.LOCATION(
    ID BIGINT NOT NULL,
    NAME VARCHAR(256),
    ADDRESS VARCHAR(256),
    CITY VARCHAR(256),
    COUNTRY VARCHAR(256),
    ALTITUDE INTEGER,
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    LOCATION_ID BIGINT,
    ASSISTANT VARCHAR(32768),
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    GPS VARCHAR(256)
);  
ALTER TABLE PUBLIC.LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_9 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.LOCATION; 
ALTER TABLE PUBLIC.RELATIONSHIP_ITEMS ADD CONSTRAINT PUBLIC.FK6F2B36F9BA956C76 FOREIGN KEY(RELATIONSHIP_ID) REFERENCES PUBLIC.RELATIONSHIP(ID) NOCHECK;        
ALTER TABLE PUBLIC.RELATIONSHIP_LOCATIONS ADD CONSTRAINT PUBLIC.FK1FB562174C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;            
ALTER TABLE PUBLIC.CATEGORY ADD CONSTRAINT PUBLIC.FK31A8ACFE18A1ECB6 FOREIGN KEY(CATEGORY_ID) REFERENCES PUBLIC.CATEGORY(ID) NOCHECK;          
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.FK4B1206C648F075E FOREIGN KEY(CHAPTER_ID) REFERENCES PUBLIC.CHAPTER(ID) NOCHECK;
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.FK4B1206C37380422 FOREIGN KEY(NARRATOR_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399FA8B82A3E FOREIGN KEY(TAG_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK;     
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.FK4B1206C79E12EB6 FOREIGN KEY(STRAND_ID) REFERENCES PUBLIC.STRAND(ID) NOCHECK;  
ALTER TABLE PUBLIC.PERSON_ATTRIBUTE ADD CONSTRAINT PUBLIC.FKD555DA32BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;      
ALTER TABLE PUBLIC.PERSON ADD CONSTRAINT PUBLIC.FK8C768F558C3830D6 FOREIGN KEY(GENDER_ID) REFERENCES PUBLIC.GENDER(ID) NOCHECK;
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399F36DA5802 FOREIGN KEY(CHARACTER_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;            
ALTER TABLE PUBLIC.SCENE_ITEM ADD CONSTRAINT PUBLIC.FK7BFE92E65A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;              
ALTER TABLE PUBLIC.SCENE_STRAND ADD CONSTRAINT PUBLIC.FK87BBB11979E12EB6 FOREIGN KEY(STRAND_ID) REFERENCES PUBLIC.STRAND(ID) NOCHECK;          
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38D370C73B FOREIGN KEY(START_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;      
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399FD00CFAE2 FOREIGN KEY(END_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;             
ALTER TABLE PUBLIC.RELATIONSHIP_PERSONS ADD CONSTRAINT PUBLIC.FKAAA634B7BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;  
ALTER TABLE PUBLIC.SCENE_PERSON ADD CONSTRAINT PUBLIC.FK81CA0A68BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;          
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38B5437ECF FOREIGN KEY(PERSON1_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;         
ALTER TABLE PUBLIC.RELATIONSHIP_ITEMS ADD CONSTRAINT PUBLIC.FK6F2B36F948B9F696 FOREIGN KEY(ITEM_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK;         
ALTER TABLE PUBLIC.PERSON_CATEGORIES ADD CONSTRAINT PUBLIC.FKA7F094618A1ECB6 FOREIGN KEY(CATEGORY_ID) REFERENCES PUBLIC.CATEGORY(ID) NOCHECK;  
ALTER TABLE PUBLIC.RELATIONSHIP_LOCATIONS ADD CONSTRAINT PUBLIC.FK1FB56217BA956C76 FOREIGN KEY(RELATIONSHIP_ID) REFERENCES PUBLIC.RELATIONSHIP(ID) NOCHECK;    
ALTER TABLE PUBLIC.SCENE_LOCATION ADD CONSTRAINT PUBLIC.FK8E5696084C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;    
ALTER TABLE PUBLIC.ENDNOTE ADD CONSTRAINT PUBLIC.FKCB0ADF2D5A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK; 
ALTER TABLE PUBLIC.SCENE_PLOT ADD CONSTRAINT PUBLIC.FK7C01A4B45A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;              
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38B543F32E FOREIGN KEY(PERSON2_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;         
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38D00CFAE2 FOREIGN KEY(END_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;        
ALTER TABLE PUBLIC.LOCATION ADD CONSTRAINT PUBLIC.FK9FF58FB54C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;          
ALTER TABLE PUBLIC.SCENE_STRAND ADD CONSTRAINT PUBLIC.FK87BBB1195A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;            
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399F4C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;           
ALTER TABLE PUBLIC.SCENE_PERSON ADD CONSTRAINT PUBLIC.FK81CA0A685A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;            
ALTER TABLE PUBLIC.SCENE_ITEM ADD CONSTRAINT PUBLIC.FK7BFE92E648B9F696 FOREIGN KEY(ITEM_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK; 
ALTER TABLE PUBLIC.PERSON_CATEGORIES ADD CONSTRAINT PUBLIC.FKA7F0946BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;      
ALTER TABLE PUBLIC.PERSON ADD CONSTRAINT PUBLIC.FK8C768F5518A1ECB6 FOREIGN KEY(CATEGORY_ID) REFERENCES PUBLIC.CATEGORY(ID) NOCHECK;            
ALTER TABLE PUBLIC.SCENE_LOCATION ADD CONSTRAINT PUBLIC.FK8E5696085A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;          
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399FD370C73B FOREIGN KEY(START_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;           
ALTER TABLE PUBLIC.CHAPTER ADD CONSTRAINT PUBLIC.FK56D8082D9B56CA96 FOREIGN KEY(PART_ID) REFERENCES PUBLIC.PART(ID) NOCHECK;   
ALTER TABLE PUBLIC.ACTION ADD CONSTRAINT PUBLIC.FK72C2723618A1ECB6 FOREIGN KEY(CATEGORY_ID) REFERENCES PUBLIC.CATEGORY(ID) NOCHECK;            
ALTER TABLE PUBLIC.SCENE_PLOT ADD CONSTRAINT PUBLIC.FK7C01A4B4ADF1FBD6 FOREIGN KEY(PLOT_ID) REFERENCES PUBLIC.PLOT(ID) NOCHECK;
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399F961090AF FOREIGN KEY(TAG_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK;     
ALTER TABLE PUBLIC.PERSON_ATTRIBUTE ADD CONSTRAINT PUBLIC.FKD555DA32490A0FFE FOREIGN KEY(ATTRIBUTE_ID) REFERENCES PUBLIC.ATTRIBUTE(ID) NOCHECK;
ALTER TABLE PUBLIC.RELATIONSHIP_PERSONS ADD CONSTRAINT PUBLIC.FKAAA634B7BA956C76 FOREIGN KEY(RELATIONSHIP_ID) REFERENCES PUBLIC.RELATIONSHIP(ID) NOCHECK;      
ALTER TABLE PUBLIC.PART ADD CONSTRAINT PUBLIC.FK255BF39B56CA96 FOREIGN KEY(PART_ID) REFERENCES PUBLIC.PART(ID) NOCHECK;        
